;******************************************************************************
;* TMS320C6x ANSI C Codegen                   Version 4.10 Beta (May  4 2001) *
;* Date/Time created: Tue May 29 12:11:49 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Large                                                *
;*   Calls to RTS      : Far                                                  *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_dateStamp+0,32
	.field  	68,8			; _dateStamp[0] @ 0
	.field  	65,8			; _dateStamp[1] @ 8
	.field  	84,8			; _dateStamp[2] @ 16
	.field  	69,8			; _dateStamp[3] @ 24
	.field  	32,8			; _dateStamp[4] @ 32
	.field  	83,8			; _dateStamp[5] @ 40
	.field  	84,8			; _dateStamp[6] @ 48
	.field  	65,8			; _dateStamp[7] @ 56
	.field  	77,8			; _dateStamp[8] @ 64
	.field  	80,8			; _dateStamp[9] @ 72
	.field  	32,8			; _dateStamp[10] @ 80
	.field  	91,8			; _dateStamp[11] @ 88
	.field  	77,8			; _dateStamp[12] @ 96
	.field  	97,8			; _dateStamp[13] @ 104
	.field  	121,8			; _dateStamp[14] @ 112
	.field  	32,8			; _dateStamp[15] @ 120
	.field  	50,8			; _dateStamp[16] @ 128
	.field  	57,8			; _dateStamp[17] @ 136
	.field  	32,8			; _dateStamp[18] @ 144
	.field  	50,8			; _dateStamp[19] @ 152
	.field  	48,8			; _dateStamp[20] @ 160
	.field  	48,8			; _dateStamp[21] @ 168
	.field  	49,8			; _dateStamp[22] @ 176
	.field  	93,8			; _dateStamp[23] @ 184
	.field  	32,8			; _dateStamp[24] @ 192
	.field  	91,8			; _dateStamp[25] @ 200
	.field  	49,8			; _dateStamp[26] @ 208
	.field  	50,8			; _dateStamp[27] @ 216
	.field  	58,8			; _dateStamp[28] @ 224
	.field  	49,8			; _dateStamp[29] @ 232
	.field  	49,8			; _dateStamp[30] @ 240
	.field  	58,8			; _dateStamp[31] @ 248
	.field  	52,8			; _dateStamp[32] @ 256
	.field  	56,8			; _dateStamp[33] @ 264
	.field  	93,8			; _dateStamp[34] @ 272
	.field  	0,8			; _dateStamp[35] @ 280
IR_1:	.set	36
	.sect	".text"
_dateStamp:	.usect	.far,36,4

	.sect	".cinit"
	.align	8
	.field  	4,32
	.field  	_initialized$1+0,32
	.field  	0,32			; _initialized$1 @ 0
	.sect	".text"
_initialized$1:	.usect	.far,4,4
;	c:\ti\c6000\cgtools\bin\opt6x.exe -qq -v6711 -O3 C:\WINDOWS\TEMP\TI506495_2 C:\WINDOWS\TEMP\TI506495_4 
	.sect	".text:_BSL_init"
	.clink
	.global	_BSL_init

;******************************************************************************
;* FUNCTION NAME: _BSL_init                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_BSL_init:
;** --------------------------------------------------------------------------*
           MVKL    .S1     _initialized$1,A0 ; |84| 
           MVKH    .S1     _initialized$1,A0 ; |84| 
           LDW     .D1T1   *A0,A1            ; |84| 
           STW     .D2T2   B3,*SP--(8)       ; |79| 
           NOP             3
   [ A1]   B       .S1     L1                ; |84| 
   [ A1]   LDW     .D2T2   *++SP(8),B3       ; |148| 
           NOP             4
           ; BRANCH OCCURS                   ; |84| 
;** --------------------------------------------------------------------------*
           MVC     .S2     CSR,B4            ; |250| 

           MVC     .S2     CSR,B4            ; |251| 
||         AND     .L2     1,B4,B6           ; |250| 

           AND     .S2     -2,B4,B4          ; |251| 
           MVC     .S2     B4,CSR            ; |251| 

           ZERO    .D2     B4                ; |150| 
||         MVK     .S2     12352,B5          ; |150| 

           MVKH    .S2     0x1800000,B4      ; |150| 

           MVK     .S2     -208,B5           ; |151| 
||         STW     .D2T2   B5,*B4            ; |150| 

           MVK     .S2     0xffffff23,B5     ; |152| 
||         STW     .D2T2   B5,*+B4(8)        ; |151| 

           STW     .D2T2   B5,*+B4(4)        ; |152| 

           STW     .D2T2   B5,*+B4(16)       ; |153| 
||         MVKL    .S1     0x7117000,A0      ; |155| 

           STW     .D2T2   B5,*+B4(20)       ; |154| 
||         MVKH    .S1     0x7117000,A0      ; |155| 

           MVKL    .S1     0x54519,A0        ; |157| 
||         STW     .D2T1   A0,*+B4(24)       ; |155| 
||         MVK     .S2     1562,B5           ; |156| 

           MVKH    .S1     0x54519,A0        ; |157| 
||         STW     .D2T2   B5,*+B4(28)       ; |156| 

           MVC     .S2     CSR,B4            ; |256| 
||         STW     .D2T1   A0,*+B4(32)       ; |157| 

           AND     .S2     -2,B4,B4          ; |256| 
||         AND     .L2     1,B6,B5           ; |256| 

           OR      .S2     B5,B4,B4          ; |256| 
           MVC     .S2     B4,CSR            ; |256| 
           MVKL    .S1     __BOARD_init,A0   ; |128| 
           MVKH    .S1     __BOARD_init,A0   ; |128| 
           B       .S2X    A0                ; |128| 
           MVKL    .S2     RL0,B3            ; |128| 
           MVKH    .S2     RL0,B3            ; |128| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |128| 
           MVKL    .S1     __LED_init,A0     ; |131| 
           MVKH    .S1     __LED_init,A0     ; |131| 
           B       .S2X    A0                ; |131| 
           MVKL    .S2     RL2,B3            ; |131| 
           MVKH    .S2     RL2,B3            ; |131| 
           NOP             3
RL2:       ; CALL OCCURS                     ; |131| 
           MVKL    .S1     __DIP_init,A0     ; |135| 
           MVKH    .S1     __DIP_init,A0     ; |135| 
           B       .S2X    A0                ; |135| 
           MVKL    .S2     RL4,B3            ; |135| 
           MVKH    .S2     RL4,B3            ; |135| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |135| 
           MVKL    .S2     __FLASH_init,B4   ; |139| 
           MVKH    .S2     __FLASH_init,B4   ; |139| 
           B       .S2     B4                ; |139| 
           MVKL    .S2     RL6,B3            ; |139| 
           MVKH    .S2     RL6,B3            ; |139| 
           NOP             3
RL6:       ; CALL OCCURS                     ; |139| 
           MVKL    .S1     __AD535_init,A0   ; |143| 
           MVKH    .S1     __AD535_init,A0   ; |143| 
           B       .S2X    A0                ; |143| 
           MVKL    .S2     RL8,B3            ; |143| 
           MVKH    .S2     RL8,B3            ; |143| 
           NOP             3
RL8:       ; CALL OCCURS                     ; |143| 
           MVKL    .S1     _initialized$1,A0 ; |146| 
           MVK     .S1     1,A3              ; |146| 
           MVKH    .S1     _initialized$1,A0 ; |146| 
           STW     .D1T1   A3,*A0            ; |146| 
           LDW     .D2T2   *++SP(8),B3       ; |148| 
;** --------------------------------------------------------------------------*
L1:    
           NOP             4
           B       .S2     B3                ; |148| 
           NOP             5
           ; BRANCH OCCURS                   ; |148| 


	.sect	".text:_BSL6711DSK_LIB_"
	.clink
	.global	_BSL6711DSK_LIB_

;******************************************************************************
;* FUNCTION NAME: _BSL6711DSK_LIB_                                            *
;*                                                                            *
;*   Regs Modified     :                                                      *
;*   Regs Used         : B3                                                   *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_BSL6711DSK_LIB_:
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |65| 
           NOP             5
           ; BRANCH OCCURS                   ; |65| 


	.sect	".text:_BOARD_writeReg"
	.clink
	.global	_BOARD_writeReg

;******************************************************************************
;* FUNCTION NAME: _BOARD_writeReg                                             *
;*                                                                            *
;*   Regs Modified     :                                                      *
;*   Regs Used         : A4,B3,B4                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_BOARD_writeReg:
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |192| 
           STW     .D1T2   B4,*A4            ; |191| 
           NOP             4
           ; BRANCH OCCURS                   ; |192| 


	.sect	".text:_BOARD_readReg"
	.clink
	.global	_BOARD_readReg

;******************************************************************************
;* FUNCTION NAME: _BOARD_readReg                                              *
;*                                                                            *
;*   Regs Modified     : A4                                                   *
;*   Regs Used         : A4,B3                                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_BOARD_readReg:
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |179| 
           LDW     .D1T1   *A4,A4
           NOP             4
           ; BRANCH OCCURS                   ; |179| 


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	__BOARD_init
	.global	__DIP_init
	.global	__FLASH_init
	.global	__LED_init
	.global	__AD535_init
