;******************************************************************************
;* TMS320C6x ANSI C Codegen                   Version 4.10 Beta (May  4 2001) *
;* Date/Time created: Tue May 29 12:11:52 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Large                                                *
;*   Calls to RTS      : Far                                                  *
;*   Pipelining        : Enabled                                              *
;*   Speculative Load  : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_local_id+0,32
	.field  	0,32			; _local_id._Id._mcbsp_no @ 0
	.field  	0,32			; _local_id._Obj._allocated @ 32
	.field  	-1,32			; _local_id._Obj._hMcbsp @ 64
IR_1:	.set	12
	.sect	".text"
	.global	_local_id
_local_id:	.usect	.far,12,4

	.sect	".cinit"
	.align	8
	.field  	4,32
	.field  	_AD535_localId+0,32
	.field  	_local_id,32		; _AD535_localId @ 0
	.sect	".text"
	.global	_AD535_localId
_AD535_localId:	.usect	.far,4,4

	.sect	".cinit"
	.align	8
	.field  	4,32
	.field  	_initialized$1+0,32
	.field  	0,32			; _initialized$1 @ 0
	.sect	".text"
_initialized$1:	.usect	.far,4,4

	.sect	".const"
	.align 4
_$T0$2:
	.field  	0,32			; _$T0$2[0] @ 0
	.field  	1,32			; _$T0$2[1] @ 32
	.field  	896,32			; _$T0$2[2] @ 64
	.field  	0,32			; _$T0$2[3] @ 96
	.sect	".text"
;	c:\ti\c6000\cgtools\bin\opt6x.exe -qq -v6711 -O3 C:\WINDOWS\TEMP\TI506495_2 C:\WINDOWS\TEMP\TI506495_4 
	.sect	".text:__AD535_init"
	.clink
	.global	__AD535_init

;******************************************************************************
;* FUNCTION NAME: __AD535_init                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
__AD535_init:
;** --------------------------------------------------------------------------*
           MVKL    .S1     _initialized$1,A0 ; |94| 
           MVKH    .S1     _initialized$1,A0 ; |94| 
           LDW     .D1T1   *A0,A1            ; |94| 
           STW     .D2T2   B3,*SP--(8)       ; |89| 
           NOP             3
   [ A1]   B       .S1     L9                ; |94| 
   [!A1]   MVKL    .S1     _MCBSP_open,A0    ; |96| 

   [ A1]   LDW     .D2T2   *++SP(8),B3       ; |129| 
|| [!A1]   MVKL    .S1     _local_id,A3      ; |96| 

   [!A1]   MVKH    .S1     _MCBSP_open,A0    ; |96| 
           NOP             2
           ; BRANCH OCCURS                   ; |94| 
;** --------------------------------------------------------------------------*

           B       .S2X    A0                ; |96| 
||         MVKH    .S1     _local_id,A3      ; |96| 

           LDW     .D1T1   *A3,A4            ; |96| 
           MVKL    .S2     RL0,B3            ; |96| 
           MVK     .S2     0x1,B4            ; |96| 
           MVKH    .S2     RL0,B3            ; |96| 
           NOP             1
RL0:       ; CALL OCCURS                     ; |96| 
           LDW     .D1T1   *+A4(12),A0       ; |338| 
           NOP             4

           MVC     .S2     CSR,B5            ; |250| 
||         ADD     .L2X    8,A0,B4           ; |338| 

           MVC     .S2     CSR,B5            ; |251| 
||         AND     .L2     1,B5,B7           ; |250| 

           AND     .S2     -2,B5,B5          ; |251| 
           MVC     .S2     B5,CSR            ; |251| 

           MVKL    .S2     0x10040,B5        ; |343| 
||         ZERO    .D2     B6

           MVKH    .S2     0x10040,B5        ; |343| 
||         STW     .D2T2   B6,*B4            ; |342| 

           MVKL    .S1     0x20000001,A0     ; |345| 
||         STW     .D2T2   B5,*+B4(4)        ; |343| 

           MVKH    .S1     0x20000001,A0     ; |345| 
||         STW     .D2T2   B5,*+B4(8)        ; |344| 

           STW     .D2T1   A0,*+B4(12)       ; |345| 
           STW     .D2T2   B6,*+B4(16)       ; |346| 
           STW     .D2T2   B6,*+B4(20)       ; |347| 

           MVKL    .S2     0x12001,B5        ; |350| 
||         STW     .D2T2   B6,*+B4(24)       ; |348| 
||         ZERO    .D1     A8

           MVKH    .S2     0x12001,B5        ; |350| 
||         STW     .D2T1   A8,*+B4(28)       ; |349| 

           MVC     .S2     CSR,B4            ; |256| 
||         STW     .D2T2   B5,*B4            ; |350| 

           AND     .S2     1,B7,B5           ; |256| 
||         AND     .L2     -2,B4,B4          ; |256| 

           OR      .S2     B5,B4,B4          ; |256| 
           MVC     .S2     B4,CSR            ; |256| 
           LDW     .D1T1   *+A4(12),A7       ; |216| 
           NOP             4
           ADD     .D1     8,A7,A3           ; |216| 
           LDW     .D1T1   *A3,A0            ; |216| 
           NOP             4
           EXTU    .S1     A0,14,31,A1       ; |216| 
   [ A1]   B       .S1     L2                ; |216| 
           ZERO    .D1     A6                ; |216| 

           MVKH    .S1     0x20000,A6        ; |216| 
|| [ A1]   LDW     .D1T1   *+A4(20),A0       ; |212| 

           NOP             2
   [!A1]   LDW     .D1T1   *A3,A0            ; |216| 
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
           NOP             3
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 112
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L1:    
           NOP             1
           AND     .S1     A6,A0,A1          ; |216| 
   [!A1]   B       .S1     L1                ; |216| 
   [!A1]   LDW     .D1T1   *A3,A0            ; |216| 
   [ A1]   LDW     .D1T1   *+A4(20),A0       ; |212| 
           NOP             3
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
L2:    
           NOP             1
           STW     .D1T1   A8,*A0            ; |212| 
           LDW     .D1T1   *A3,A0            ; |220| 
           NOP             4
           AND     .S1     2,A0,A1           ; |220| 
   [ A1]   B       .S1     L4                ; |220| 
           ADD     .S1     8,A7,A0
           NOP             3
   [ A1]   LDW     .D1T1   *+A4(20),A0       ; |212| 
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           LDW     .D1T1   *A0,A5            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 115
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L3:    
           AND     .S1     2,A5,A1           ; |220| 
   [!A1]   B       .S1     L3                ; |220| 
   [!A1]   LDW     .D1T1   *A0,A5            ; |220| 
   [ A1]   LDW     .D1T1   *+A4(20),A0       ; |212| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
L4:    
           MVK     .S1     1,A5              ; |212| 
           NOP             3
           STW     .D1T1   A5,*A0            ; |212| 
           LDW     .D1T1   *A3,A0            ; |216| 
           NOP             4
           AND     .S1     A6,A0,A1          ; |216| 
   [ A1]   B       .S1     L6                ; |216| 

           ADD     .S1     8,A7,A0
|| [ A1]   LDW     .D1T1   *+A4(20),A5       ; |212| 

   [ A1]   MVK     .S1     896,A0            ; |212| 
           NOP             3
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
           LDW     .D1T1   *A0,A5            ; |216| 
           NOP             3
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 118
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L5:    
           NOP             1
           AND     .S1     A6,A5,A1          ; |216| 
   [!A1]   B       .S1     L5                ; |216| 
   [!A1]   LDW     .D1T1   *A0,A5            ; |216| 
   [ A1]   LDW     .D1T1   *+A4(20),A5       ; |212| 
           NOP             3
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
           MVK     .S1     896,A0            ; |212| 
;** --------------------------------------------------------------------------*
L6:    
           STW     .D1T1   A0,*A5            ; |212| 
           LDW     .D1T1   *A3,A0            ; |216| 
           NOP             4
           AND     .S1     A6,A0,A1          ; |216| 
   [ A1]   B       .S1     L8                ; |216| 
           ADD     .D1     8,A7,A0
   [!A1]   LDW     .D1T1   *A0,A3            ; |216| 
           NOP             3
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
           NOP             1
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 121
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L7:    
           AND     .S1     A6,A3,A1          ; |216| 
   [!A1]   B       .S1     L7                ; |216| 
   [!A1]   LDW     .D1T1   *A0,A3            ; |216| 
           NOP             4
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
L8:    
           MVKL    .S2     _MCBSP_close,B4   ; |124| 
           MVKH    .S2     _MCBSP_close,B4   ; |124| 

           B       .S2     B4                ; |124| 
||         LDW     .D1T1   *+A4(20),A0       ; |212| 

           NOP             3
           MVKL    .S2     RL2,B3            ; |124| 

           MVKH    .S2     RL2,B3            ; |124| 
||         STW     .D1T1   A8,*A0            ; |212| 

RL2:       ; CALL OCCURS                     ; |124| 
           MVKL    .S1     __BOARD_init,A0   ; |126| 
           MVKH    .S1     __BOARD_init,A0   ; |126| 
           B       .S2X    A0                ; |126| 
           MVKL    .S2     RL4,B3            ; |126| 
           MVKH    .S2     RL4,B3            ; |126| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |126| 
           MVKL    .S2     _initialized$1,B4 ; |127| 

           MVK     .S1     1,A0              ; |127| 
||         MVKH    .S2     _initialized$1,B4 ; |127| 

           STW     .D2T1   A0,*B4            ; |127| 
           LDW     .D2T2   *++SP(8),B3       ; |129| 
           NOP             3
;** --------------------------------------------------------------------------*
L9:    
           NOP             1
           B       .S2     B3                ; |129| 
           NOP             5
           ; BRANCH OCCURS                   ; |129| 


	.sect	".text:_writeData"
	.clink

;******************************************************************************
;* FUNCTION NAME: _writeData                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A5,A6,A7,B0,B4,B5,B6,B7                     *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7               *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_writeData:
;** --------------------------------------------------------------------------*
           ZERO    .D1     A3

           MVKH    .S1     0x20000,A3
||         ZERO    .D1     A6
||         MV      .S2X    A6,B0

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L10
;** --------------------------------------------------------------------------*
L10:    
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .S2X    12,A0,B5
           LDW     .D2T2   *B5,B6
           NOP             4
           ADD     .S1X    8,B6,A0
           LDW     .D1T1   *A0,A5            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L11:    
           AND     .S1     2,A5,A1           ; |220| 
   [!A1]   B       .S1     L11               ; |220| 

   [!A1]   LDW     .D1T1   *A0,A5            ; |220| 
|| [ A1]   LDW     .D2T2   *+B5(4),B6        ; |208| 

   [ A1]   LDW     .D2T2   *B4,B7            ; |212| 
   [ A1]   LDW     .D2T2   *+B5(8),B5        ; |212| 
           NOP             2
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *B6,B6            ; |208| 
           NOP             1
           STW     .D2T2   B7,*B5            ; |212| 
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A7
           LDW     .D1T1   *A7,A0
           NOP             4
           ADD     .D1     8,A0,A5
           LDW     .D1T1   *A5,A0            ; |216| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 58
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L12:    
           AND     .S1     A3,A0,A1          ; |216| 
   [!A1]   B       .S1     L12               ; |216| 

   [!A1]   LDW     .D1T1   *A5,A0            ; |216| 
|| [ A1]   SUB     .D2     B0,1,B0           ; |67| 

           NOP             4
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*

   [ B0]   B       .S1     L10               ; |67| 
||         LDW     .D1T1   *+A7(8),A0        ; |212| 

           ADD     .D2     4,B4,B4           ; |67| 
           NOP             3
           STW     .D1T1   A6,*A0            ; |212| 
           ; BRANCH OCCURS                   ; |67| 
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |68| 
           NOP             5
           ; BRANCH OCCURS                   ; |68| 


	.sect	".text:_AD535_writeReg"
	.clink
	.global	_AD535_writeReg

;******************************************************************************
;* FUNCTION NAME: _AD535_writeReg                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP         *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP      *
;*   Local Frame Size  : 0 Args + 16 Auto + 0 Save = 16 byte                  *
;******************************************************************************
_AD535_writeReg:
;** --------------------------------------------------------------------------*

           CMPEQ   .L2     B4,5,B0
||         MVK     .S1     0xfe,A0           ; |404| 

   [!B0]   MVK     .S1     0xff,A0           ; |404| 

           MVK     .S1     -1,A0             ; |404| 
||         AND     .L1     A6,A0,A3          ; |411| 

           CMPEQ   .L1     A4,A0,A1          ; |404| 

   [ A1]   B       .S1     L13               ; |404| 
||         MVKL    .S2     _writeData,B5     ; |413| 

           MVKL    .S2     RL6,B3            ; |413| 
||         MV      .D2     B3,B9             ; |397| 

           EXT     .S2     B4,24,16,B4
           MVK     .S2     1,B8              ; |410| 

           MVKH    .S2     _writeData,B5     ; |413| 
||         ZERO    .L2     B6                ; |409| 
||         SUB     .D2     SP,16,SP          ; |397| 

           ADD     .D2     4,SP,B4           ; |413| 
||         ADD     .L2X    B4,A3,B7          ; |411| 
||         MVK     .S1     0x4,A6            ; |413| 
||         MVKH    .S2     RL6,B3            ; |413| 

           ; BRANCH OCCURS                   ; |404| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |413| 
           STW     .D2T2   B6,*+SP(4)        ; |409| 
           STW     .D2T2   B8,*+SP(8)        ; |410| 
           STW     .D2T2   B7,*+SP(12)       ; |411| 
           STW     .D2T2   B6,*+SP(16)       ; |412| 
           NOP             1
RL6:       ; CALL OCCURS                     ; |413| 
;** --------------------------------------------------------------------------*
L13:    
           B       .S2     B9                ; |416| 
           ADDK    .S2     16,SP             ; |416| 
           NOP             4
           ; BRANCH OCCURS                   ; |416| 


	.sect	".text:_AD535_write"
	.clink
	.global	_AD535_write

;******************************************************************************
;* FUNCTION NAME: _AD535_write                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,B4                                    *
;*   Regs Used         : A0,A1,A3,A4,A5,B3,B4                                 *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_AD535_write:
;** --------------------------------------------------------------------------*
           LDW     .D1T1   *+A4(8),A0        ; |212| 
           EXTU    .S2     B4,16,17,B4       ; |212| 
           ADD     .D2     B4,B4,B4
           NOP             2
           LDW     .D1T1   *+A0(20),A0       ; |212| 
           NOP             4
           STW     .D1T2   B4,*A0            ; |212| 
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A5
           LDW     .D1T1   *A5,A3
           ZERO    .D1     A0
           MVKH    .S1     0x20000,A0
           NOP             2
           ADD     .D1     8,A3,A4
           LDW     .D1T1   *A4,A3            ; |216| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 143
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L14:    
           AND     .S1     A0,A3,A1          ; |216| 
   [!A1]   B       .S1     L14               ; |216| 
   [!A1]   LDW     .D1T1   *A4,A3            ; |216| 
           NOP             4
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*

           B       .S2     B3                ; |146| 
||         LDW     .D1T1   *+A5(8),A0        ; |212| 

           ZERO    .D1     A3                ; |212| 
           NOP             3
           STW     .D1T1   A3,*A0            ; |212| 
           ; BRANCH OCCURS                   ; |146| 


	.sect	".text:_AD535_reset"
	.clink
	.global	_AD535_reset

;******************************************************************************
;* FUNCTION NAME: _AD535_reset                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP         *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP      *
;*   Local Frame Size  : 0 Args + 16 Auto + 0 Save = 16 byte                  *
;******************************************************************************
_AD535_reset:
;** --------------------------------------------------------------------------*
           MVK     .S1     -1,A0             ; |385| 
           CMPEQ   .L1     A4,A0,A1

   [ A1]   B       .S1     L15               ; |385| 
||         MVKL    .S2     _writeData,B5     ; |391| 

           MVK     .S2     1,B7              ; |388| 

           MVKL    .S2     RL8,B3            ; |391| 
||         MV      .D2     B3,B9             ; |380| 

           MVK     .S2     896,B8            ; |389| 

           MVKH    .S2     _writeData,B5     ; |391| 
||         SUB     .D2     SP,16,SP          ; |380| 

           MVKH    .S2     RL8,B3            ; |391| 
||         ADD     .D2     4,SP,B4           ; |391| 
||         ZERO    .L2     B6                ; |387| 
||         MVK     .S1     0x4,A6            ; |391| 

           ; BRANCH OCCURS                   ; |385| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |391| 
           STW     .D2T2   B6,*+SP(4)        ; |387| 
           STW     .D2T2   B7,*+SP(8)        ; |388| 
           STW     .D2T2   B8,*+SP(12)       ; |389| 
           STW     .D2T2   B6,*+SP(16)       ; |390| 
           NOP             1
RL8:       ; CALL OCCURS                     ; |391| 
;** --------------------------------------------------------------------------*
L15:    
           B       .S2     B9                ; |394| 
           ADDK    .S2     16,SP             ; |394| 
           NOP             4
           ; BRANCH OCCURS                   ; |394| 


	.sect	".text:_AD535_readReg"
	.clink
	.global	_AD535_readReg

;******************************************************************************
;* FUNCTION NAME: _AD535_readReg                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP      *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP      *
;*   Local Frame Size  : 0 Args + 12 Auto + 0 Save = 12 byte                  *
;******************************************************************************
_AD535_readReg:
;** --------------------------------------------------------------------------*
           MVK     .S1     -1,A0             ; |363| 

           MVKL    .S2     _writeData,B5     ; |368| 
||         CMPEQ   .L1     A4,A0,A1

   [ A1]   B       .S1     L19               ; |363| 
||         SHL     .S2     B4,8,B6           ; |367| 

           MVK     .S2     1,B7              ; |366| 

           MVKL    .S2     RL10,B3           ; |368| 
||         MV      .D2     B3,B9             ; |354| 

           MVKH    .S2     _writeData,B5     ; |368| 

           ADDK    .S2     8192,B6           ; |367| 
||         SUB     .D2     SP,16,SP          ; |354| 

           ADD     .D2     4,SP,B4           ; |368| 
||         MVKH    .S2     RL10,B3           ; |368| 
||         ZERO    .L2     B8                ; |365| 
||         MVK     .S1     0x3,A6            ; |368| 

           ; BRANCH OCCURS                   ; |363| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |368| 
           STW     .D2T2   B6,*+SP(12)       ; |367| 
           STW     .D2T2   B8,*+SP(4)        ; |365| 
           STW     .D2T2   B7,*+SP(8)        ; |366| 
           NOP             2
RL10:      ; CALL OCCURS                     ; |368| 
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A4
           LDW     .D1T1   *A4,A6
           NOP             4
           ADD     .D1     8,A6,A3
           LDW     .D1T1   *A3,A0            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L16:    
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L16               ; |220| 
   [!A1]   LDW     .D1T1   *A3,A0            ; |220| 
   [ A1]   LDW     .D1T1   *+A4(4),A3        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0xffffff00,A5     ; |371| 
           LDW     .D1T1   *A3,A4
           NOP             4
           SHRU    .S1     A4,8,A1
   [!A1]   B       .S1     L19               ; |371| 
   [ A1]   ADD     .D1     8,A6,A4
   [ A1]   LDW     .D1T1   *A4,A0            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |371| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L17
;** --------------------------------------------------------------------------*
L17:    
           NOP             1
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L18:    
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L18               ; |220| 
   [!A1]   LDW     .D1T1   *A4,A0            ; |220| 
   [ A1]   LDW     .D1T1   *A3,A4
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           NOP             1
           AND     .S1     A5,A4,A1          ; |372| 
   [ A1]   B       .S1     L17               ; |372| 
   [ A1]   ADD     .D1     8,A6,A4
   [ A1]   LDW     .D1T1   *A4,A0            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |372| 
;** --------------------------------------------------------------------------*
L19:    
           B       .S2     B9                ; |377| 
           ADDK    .S2     16,SP             ; |377| 
           NOP             4
           ; BRANCH OCCURS                   ; |377| 


	.sect	".text:_AD535_read"
	.clink
	.global	_AD535_read

;******************************************************************************
;* FUNCTION NAME: _AD535_read                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4                                          *
;*   Regs Used         : A0,A1,A3,A4,B3                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_AD535_read:
;** --------------------------------------------------------------------------*
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A4
           LDW     .D1T1   *A4,A0
           NOP             4
           ADD     .D1     8,A0,A3
           LDW     .D1T1   *A3,A0            ; |220| 
           NOP             3
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 136
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L20:    
           NOP             1
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L20               ; |220| 
   [!A1]   LDW     .D1T1   *A3,A0            ; |220| 
   [ A1]   LDW     .D1T1   *+A4(4),A0        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |138| 
           LDW     .D1T1   *A0,A4
           NOP             4
           ; BRANCH OCCURS                   ; |138| 


	.sect	".text:_AD535_powerDown"
	.clink
	.global	_AD535_powerDown

;******************************************************************************
;* FUNCTION NAME: _AD535_powerDown                                            *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP         *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,B0,B3,B4,B5,B6,B7,B8,B9,SP      *
;*   Local Frame Size  : 0 Args + 16 Auto + 0 Save = 16 byte                  *
;******************************************************************************
_AD535_powerDown:
;** --------------------------------------------------------------------------*
           MVK     .S1     -1,A0             ; |342| 
           CMPEQ   .L1     A4,A0,A1

   [ A1]   B       .S1     L21               ; |342| 
||         MVKL    .S2     _writeData,B5     ; |348| 

           MVK     .S2     1,B7              ; |345| 

           MVKL    .S2     RL12,B3           ; |348| 
||         MV      .D2     B3,B9             ; |337| 

           MVK     .S2     832,B8            ; |346| 

           MVKH    .S2     _writeData,B5     ; |348| 
||         SUB     .D2     SP,16,SP          ; |337| 

           MVKH    .S2     RL12,B3           ; |348| 
||         ADD     .D2     4,SP,B4           ; |348| 
||         ZERO    .L2     B6                ; |344| 
||         MVK     .S1     0x4,A6            ; |348| 

           ; BRANCH OCCURS                   ; |342| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |348| 
           STW     .D2T2   B6,*+SP(4)        ; |344| 
           STW     .D2T2   B7,*+SP(8)        ; |345| 
           STW     .D2T2   B8,*+SP(12)       ; |346| 
           STW     .D2T2   B6,*+SP(16)       ; |347| 
           NOP             1
RL12:      ; CALL OCCURS                     ; |348| 
;** --------------------------------------------------------------------------*
L21:    
           B       .S2     B9                ; |351| 
           ADDK    .S2     16,SP             ; |351| 
           NOP             4
           ; BRANCH OCCURS                   ; |351| 


	.sect	".text:_AD535_outGain"
	.clink
	.global	_AD535_outGain

;******************************************************************************
;* FUNCTION NAME: _AD535_outGain                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,A13,B0,B1,B2,  *
;*                           B3,B4,B5,B6,B7,B8,B9,SP                          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,A13,B0,B1,B2,  *
;*                           B3,B4,B5,B6,B7,B8,B9,SP                          *
;*   Local Frame Size  : 0 Args + 12 Auto + 16 Save = 28 byte                 *
;******************************************************************************
_AD535_outGain:
;** --------------------------------------------------------------------------*
           SPDP    .S1X    B4,A7:A6          ; |313| 
           ZERO    .D1     A1                ; |313| 

           MVKH    .S1     0xc0420000,A1     ; |313| 
||         SPDP    .S2     B4,B7:B6          ; |313| 
||         ZERO    .D1     A9                ; |313| 

           MVKH    .S1     0x40280000,A9     ; |313| 
||         ZERO    .D1     A0                ; |313| 
||         ZERO    .L1     A8                ; |313| 

           CMPGTDP .S2X    B7:B6,A9:A8,B4    ; |313| 
||         CMPLTDP .S1X    B7:B6,A1:A0,A0    ; |313| 

           STW     .D2T1   A13,*SP--(32)     ; |307| 

           XOR     .S1     1,A0,A0           ; |313| 
||         XOR     .S2     1,B4,B4           ; |313| 

           AND     .S2X    A0,B4,B0          ; |313| 
   [!B0]   B       .S1     L22               ; |313| 
           MVKL    .S2     __divd,B8         ; |314| 

           MVKH    .S2     __divd,B8         ; |314| 
||         STW     .D2T2   B3,*+SP(28)       ; |307| 
||         ZERO    .L2     B5                ; |314| 

           MVKH    .S2     0x3ff80000,B5     ; |314| 
||         STW     .D2T1   A10,*+SP(20)      ; |307| 

           ZERO    .D1     A12               ; |314| 
||         MV      .S1     A4,A10
||         MVKL    .S2     RL14,B3           ; |314| 
||         STW     .D2T1   A12,*+SP(24)      ; |307| 
||         ZERO    .L1     A13               ; |314| 

           ZERO    .D2     B4                ; |314| 
||         MV      .D1     A6,A4             ; |314| 
||         MVKH    .S2     RL14,B3           ; |314| 
||         MV      .L1     A7,A5             ; |314| 
||         MVKH    .S1     0x40390000,A13    ; |314| 

           ; BRANCH OCCURS                   ; |313| 
;** --------------------------------------------------------------------------*
           B       .S2     B8                ; |314| 
           NOP             5
RL14:      ; CALL OCCURS                     ; |314| 
           ADDDP   .L1     A13:A12,A5:A4,A1:A0 ; |314| 
           NOP             6
           DPTRUNC .L1     A1:A0,A8          ; |314| 
;** --------------------------------------------------------------------------*
L22:    
           MVK     .S1     -1,A0             ; |316| 
           CMPEQ   .L1     A10,A0,A1         ; |316| 

   [ A1]   B       .S1     L27               ; |316| 
||         MVKL    .S2     RL16,B3           ; |321| 

           MVKL    .S2     _writeData,B6     ; |321| 
           MVK     .S2     0x1,B8            ; |319| 
           MVK     .S2     9520,B5           ; |320| 
           MVKH    .S2     RL16,B3           ; |321| 

           MVKH    .S2     _writeData,B6     ; |321| 
||         MV      .D1     A10,A4            ; |321| 
||         ZERO    .D2     B9                ; |318| 
||         ADD     .L2     4,SP,B4           ; |321| 
||         MVK     .S1     0x3,A6            ; |321| 

           ; BRANCH OCCURS                   ; |316| 
;** --------------------------------------------------------------------------*
           B       .S2     B6                ; |321| 
           STW     .D2T2   B5,*+SP(12)       ; |320| 
           STW     .D2T2   B9,*+SP(4)        ; |318| 
           STW     .D2T2   B8,*+SP(8)        ; |319| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |321| 
           LDW     .D1T1   *+A10(8),A0
           NOP             4
           ADD     .D1     12,A0,A3
           LDW     .D1T1   *A3,A6
           NOP             4
           ADD     .D1     8,A6,A0
           LDW     .D1T1   *A0,A4            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L23:    
           AND     .S1     2,A4,A1           ; |220| 
   [!A1]   B       .S1     L23               ; |220| 
   [!A1]   LDW     .D1T1   *A0,A4            ; |220| 
   [ A1]   LDW     .D1T1   *+A3(4),A3        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0xffffff00,A4     ; |324| 
           LDW     .D1T1   *A3,A0
           NOP             4
           SHRU    .S1     A0,8,A1
   [!A1]   B       .S1     L26               ; |324| 
   [ A1]   ADD     .D1     8,A6,A5
           NOP             3
   [ A1]   LDW     .D1T1   *A5,A0            ; |220| 
           ; BRANCH OCCURS                   ; |324| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L24
;** --------------------------------------------------------------------------*
L24:    
           NOP             3
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L25:    
           NOP             1
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L25               ; |220| 
   [!A1]   LDW     .D1T1   *A5,A0            ; |220| 
   [ A1]   LDW     .D1T1   *A3,A0
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           NOP             1
           AND     .S1     A4,A0,A1          ; |325| 
   [ A1]   B       .S1     L24               ; |325| 
           NOP             3
   [ A1]   ADD     .D1     8,A6,A5
   [ A1]   LDW     .D1T1   *A5,A0            ; |220| 
           ; BRANCH OCCURS                   ; |325| 
;** --------------------------------------------------------------------------*
L26:    
           MVKL    .S2     _writeData,B5     ; |331| 
           MVKH    .S2     _writeData,B5     ; |331| 

           B       .S2     B5                ; |331| 
||         AND     .S1     3,A0,A0           ; |329| 

           ADDAW   .D1     A0,A8,A0          ; |329| 
           EXTU    .S1     A0,24,25,A0       ; |329| 

           ADDK    .S1     640,A0            ; |329| 
||         STW     .D2T2   B9,*+SP(12)       ; |330| 

           ADD     .D1     A0,A0,A0
||         STW     .D2T2   B8,*+SP(4)        ; |328| 
||         MVKL    .S2     RL18,B3           ; |331| 

           STW     .D2T1   A0,*+SP(8)        ; |329| 
||         MVKH    .S2     RL18,B3           ; |331| 
||         ADD     .L2     4,SP,B4           ; |331| 
||         MV      .D1     A10,A4            ; |331| 
||         MVK     .S1     0x3,A6            ; |331| 

RL18:      ; CALL OCCURS                     ; |331| 
;** --------------------------------------------------------------------------*
L27:    
           LDW     .D2T2   *+SP(28),B3       ; |334| 
           LDW     .D2T1   *+SP(20),A10      ; |334| 
           LDW     .D2T1   *+SP(24),A12      ; |334| 
           LDW     .D2T1   *++SP(32),A13     ; |334| 
           NOP             1
           B       .S2     B3                ; |334| 
           NOP             5
           ; BRANCH OCCURS                   ; |334| 


	.sect	".text:_AD535_open"
	.clink
	.global	_AD535_open

;******************************************************************************
;* FUNCTION NAME: _AD535_open                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,SP                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 12 Save = 12 byte                  *
;******************************************************************************
_AD535_open:
;** --------------------------------------------------------------------------*
           STW     .D2T1   A11,*SP--(16)     ; |272| 

           MV      .D1     A4,A10            ; |272| 
||         STW     .D2T1   A10,*+SP(8)       ; |272| 

           LDW     .D1T1   *+A10(4),A1       ; |276| 
           STW     .D2T2   B3,*+SP(12)       ; |272| 
           MVK     .S1     0xffffffff,A11    ; |279| 
           MVK     .S1     0xffffffff,A4     ; |300| 
           NOP             1
   [ A1]   B       .S1     L28               ; |300| 
           MVKL    .S2     _MCBSP_open,B5    ; |277| 
           MVK     .S2     0x1,B4            ; |277| 
           MVKL    .S2     RL20,B3           ; |277| 
           MVKH    .S2     _MCBSP_open,B5    ; |277| 

   [ A1]   LDW     .D2T2   *+SP(12),B3       ; |304| 
||         MVKH    .S2     RL20,B3           ; |277| 

           ; BRANCH OCCURS                   ; |300| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |277| 
           LDW     .D1T1   *A10,A4
           NOP             4
RL20:      ; CALL OCCURS                     ; |277| 
           STW     .D1T1   A4,*+A10(8)       ; |277| 
           LDW     .D1T1   *+A10(8),A0       ; |279| 
           MV      .S1     A11,A4            ; |282| 
           NOP             3
           CMPEQ   .L1     A0,A11,A1         ; |279| 
   [ A1]   B       .S1     L29               ; |282| 
           ZERO    .D1     A0                ; |281| 

   [ A1]   STW     .D1T1   A0,*+A10(4)       ; |281| 
|| [ A1]   LDW     .D2T2   *+SP(12),B3       ; |304| 

   [!A1]   LDW     .D1T1   *+A10(8),A0       ; |338| 
           NOP             2
           ; BRANCH OCCURS                   ; |282| 
;** --------------------------------------------------------------------------*
           MVK     .S1     1,A3              ; |284| 
           STW     .D1T1   A3,*+A10(4)       ; |284| 
           LDW     .D1T1   *+A0(12),A0       ; |338| 
           NOP             4

           MVC     .S2     CSR,B4            ; |250| 
||         ADD     .D1     8,A0,A3           ; |338| 

           MVC     .S2     CSR,B4            ; |251| 
||         AND     .L2     1,B4,B5           ; |250| 

           AND     .S2     -2,B4,B4          ; |251| 
           MVC     .S2     B4,CSR            ; |251| 

           MVKL    .S2     0x10040,B4        ; |343| 
||         ZERO    .D1     A0                ; |342| 

           MVKH    .S2     0x10040,B4        ; |343| 
||         STW     .D1T1   A0,*A3            ; |342| 

           STW     .D1T2   B4,*+A3(4)        ; |343| 
||         MVKL    .S1     0x20000001,A4     ; |345| 

           STW     .D1T2   B4,*+A3(8)        ; |344| 
||         MVKH    .S1     0x20000001,A4     ; |345| 

           STW     .D1T1   A4,*+A3(12)       ; |345| 
           STW     .D1T1   A0,*+A3(16)       ; |346| 
           STW     .D1T1   A0,*+A3(20)       ; |347| 

           STW     .D1T1   A0,*+A3(24)       ; |348| 
||         MVKL    .S2     0x12001,B4        ; |350| 

           STW     .D1T1   A0,*+A3(28)       ; |349| 
||         MVKH    .S2     0x12001,B4        ; |350| 

           MVC     .S2     CSR,B4            ; |256| 
||         STW     .D1T2   B4,*A3            ; |350| 

           AND     .S2     -2,B4,B4          ; |256| 
||         AND     .L2     1,B5,B5           ; |256| 

           OR      .S2     B5,B4,B4          ; |256| 
           MVC     .S2     B4,CSR            ; |256| 
           MV      .D1     A10,A4            ; |296| 
           LDW     .D2T2   *+SP(12),B3       ; |304| 
;** --------------------------------------------------------------------------*
L28:    
           NOP             3
;** --------------------------------------------------------------------------*
L29:    
           LDW     .D2T1   *+SP(8),A10       ; |304| 
           B       .S2     B3                ; |304| 
           LDW     .D2T1   *++SP(16),A11     ; |304| 
           NOP             4
           ; BRANCH OCCURS                   ; |304| 


	.sect	".text:_AD535_modifyReg"
	.clink
	.global	_AD535_modifyReg

;******************************************************************************
;* FUNCTION NAME: _AD535_modifyReg                                            *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A5,A6,A7,A8,A9,A10,B0,B2,B3,B4,B5,B6,B7, *
;*                           B8,B9,SP                                         *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,B0,B2,B3,B4,B5,B6, *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 12 Auto + 4 Save = 16 byte                  *
;******************************************************************************
_AD535_modifyReg:
;** --------------------------------------------------------------------------*
           MVK     .S1     0xfe,A8           ; |248| 

           MVK     .S1     -1,A0             ; |248| 
||         CMPEQ   .L1X    B4,5,A1

           CMPEQ   .L1     A4,A0,A1
|| [!A1]   MVK     .S1     0xff,A8           ; |248| 
||         MVKL    .S2     _writeData,B7     ; |256| 

   [ A1]   B       .S1     L33               ; |248| 
||         EXT     .S2     B4,24,16,B5

           MVK     .S2     8192,B0           ; |255| 

           MVKL    .S2     RL22,B3           ; |256| 
||         MV      .D2     B3,B2             ; |240| 

           MVK     .S2     0x1,B9            ; |254| 

           MVKH    .S2     _writeData,B7     ; |256| 
||         MV      .S1X    B6,A2
||         ZERO    .L2     B8                ; |253| 
||         STW     .D2T1   A10,*SP--(16)     ; |240| 

           ADD     .D2     B0,B5,B5          ; |255| 
||         ADD     .L2     4,SP,B4           ; |256| 
||         MVKH    .S2     RL22,B3           ; |256| 
||         MVK     .S1     0x3,A6            ; |256| 
||         MV      .L1X    B5,A9             ; |255| 
||         MV      .D1     A6,A10

           ; BRANCH OCCURS                   ; |248| 
;** --------------------------------------------------------------------------*
           B       .S2     B7                ; |256| 
           STW     .D2T2   B5,*+SP(12)       ; |255| 
           STW     .D2T2   B8,*+SP(4)        ; |253| 
           STW     .D2T2   B9,*+SP(8)        ; |254| 
           NOP             2
RL22:      ; CALL OCCURS                     ; |256| 
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A5
           LDW     .D1T1   *A5,A7
           NOP             4
           ADD     .D1     8,A7,A3
           LDW     .D1T1   *A3,A0            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L30:    
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L30               ; |220| 
   [!A1]   LDW     .D1T1   *A3,A0            ; |220| 
   [ A1]   LDW     .D1T1   *+A5(4),A3        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0xffffff00,A5     ; |259| 
           LDW     .D1T1   *A3,A0
           NOP             4
           SHRU    .S1     A0,8,A1
   [!A1]   B       .S1     L32               ; |259| 
   [ A1]   ADD     .D1     8,A7,A6
   [ A1]   LDW     .D1T1   *A6,A0            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |259| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L31:    
           NOP             1
           AND     .S1     2,A0,A1           ; |220| 
   [!A1]   B       .S1     L31               ; |220| 
   [!A1]   LDW     .D1T1   *A6,A0            ; |220| 
   [ A1]   LDW     .D1T1   *A3,A0
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           NOP             1
           AND     .S1     A5,A0,A1          ; |260| 
   [ A1]   B       .S1     L31               ; |260| 
   [ A1]   ADD     .D1     8,A7,A6
   [ A1]   LDW     .D1T1   *A6,A0            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |260| 
;** --------------------------------------------------------------------------*
L32:    
           MVKL    .S2     _writeData,B5     ; |266| 

           MVKH    .S2     _writeData,B5     ; |266| 
||         MVK     .S1     0xffffffff,A3     ; |264| 

           B       .S2     B5                ; |266| 
||         XOR     .S1     A3,A2,A3          ; |264| 

           AND     .S1     A10,A2,A0         ; |264| 
||         AND     .L1     A0,A3,A3          ; |264| 

           ADD     .D1     A0,A3,A0          ; |264| 

           AND     .S1     A0,A8,A0          ; |264| 
||         STW     .D2T2   B8,*+SP(12)       ; |265| 

           ADD     .D1     A9,A0,A0          ; |264| 
||         STW     .D2T2   B9,*+SP(4)        ; |263| 
||         MVKL    .S2     RL24,B3           ; |266| 

           STW     .D2T1   A0,*+SP(8)        ; |264| 
||         MVKH    .S2     RL24,B3           ; |266| 
||         ADD     .L2     4,SP,B4           ; |266| 
||         MVK     .S1     0x3,A6            ; |266| 

RL24:      ; CALL OCCURS                     ; |266| 
;** --------------------------------------------------------------------------*
L33:    
           B       .S2     B2                ; |269| 
           LDW     .D2T1   *++SP(16),A10     ; |269| 
           NOP             4
           ; BRANCH OCCURS                   ; |269| 


	.sect	".text:_AD535_micGain"
	.clink
	.global	_AD535_micGain

;******************************************************************************
;* FUNCTION NAME: _AD535_micGain                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A5,A6,A7,A8,B0,B2,B3,B4,B5,B6,B7,B8,B9,SP   *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,A8,B0,B2,B3,B4,B5,B6,B7,B8,B9,  *
;*                           SP                                               *
;*   Local Frame Size  : 0 Args + 12 Auto + 0 Save = 12 byte                  *
;******************************************************************************
_AD535_micGain:
;** --------------------------------------------------------------------------*
           MVK     .S1     -1,A0             ; |219| 
           CMPEQ   .L1     A4,A0,A1

   [ A1]   B       .S1     L38               ; |219| 
||         MVKL    .S2     _writeData,B5     ; |224| 

           MVK     .S2     0x1,B8            ; |222| 

           MVKL    .S2     RL26,B3           ; |224| 
||         MV      .D2     B3,B2             ; |213| 

           MVK     .S2     9216,B6           ; |223| 

           MVKH    .S2     _writeData,B5     ; |224| 
||         SUB     .D2     SP,16,SP          ; |213| 

           ADD     .D2     4,SP,B4           ; |224| 
||         MVKH    .S2     RL26,B3           ; |224| 
||         ZERO    .L2     B9                ; |221| 
||         MVK     .S1     0x3,A6            ; |224| 
||         MV      .L1X    B4,A8

           ; BRANCH OCCURS                   ; |219| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |224| 
           STW     .D2T2   B6,*+SP(12)       ; |223| 
           STW     .D2T2   B9,*+SP(4)        ; |221| 
           STW     .D2T2   B8,*+SP(8)        ; |222| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |224| 
           LDW     .D1T1   *+A4(8),A0
           NOP             4
           ADD     .D1     12,A0,A3
           LDW     .D1T1   *A3,A6
           NOP             4
           ADD     .D1     8,A6,A0
           LDW     .D1T1   *A0,A5            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L34:    
           AND     .S1     2,A5,A1           ; |220| 
   [!A1]   B       .S1     L34               ; |220| 
   [!A1]   LDW     .D1T1   *A0,A5            ; |220| 
   [ A1]   LDW     .D1T1   *+A3(4),A3        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0xffffff00,A5     ; |227| 
           LDW     .D1T1   *A3,A0
           NOP             4
           SHRU    .S1     A0,8,A1
   [!A1]   B       .S1     L37               ; |227| 
   [ A1]   ADD     .D1     8,A6,A0
   [ A1]   LDW     .D1T1   *A0,A7            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |227| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L35
;** --------------------------------------------------------------------------*
L35:    
           NOP             1
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L36:    
           AND     .S1     2,A7,A1           ; |220| 
   [!A1]   B       .S1     L36               ; |220| 
   [!A1]   LDW     .D1T1   *A0,A7            ; |220| 
   [ A1]   LDW     .D1T1   *A3,A0
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           NOP             1
           AND     .S1     A5,A0,A1          ; |228| 
   [ A1]   B       .S1     L35               ; |228| 
   [ A1]   ADD     .D1     8,A6,A0
   [ A1]   LDW     .D1T1   *A0,A7            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |228| 
;** --------------------------------------------------------------------------*
L37:    
           MVKL    .S2     _writeData,B5     ; |234| 
           MVKH    .S2     _writeData,B5     ; |234| 
           B       .S2     B5                ; |234| 
           CLR     .S1     A0,6,6,A0         ; |231| 
           ADD     .D1     A8,A0,A0          ; |231| 

           EXTU    .S1     A0,24,24,A0       ; |231| 
||         STW     .D2T2   B9,*+SP(12)       ; |233| 

           ADDK    .S1     1024,A0           ; |231| 
||         STW     .D2T2   B8,*+SP(4)        ; |230| 
||         MVKL    .S2     RL28,B3           ; |234| 

           STW     .D2T1   A0,*+SP(8)        ; |231| 
||         MVKH    .S2     RL28,B3           ; |234| 
||         ADD     .L2     4,SP,B4           ; |234| 
||         MVK     .S1     0x3,A6            ; |234| 

RL28:      ; CALL OCCURS                     ; |234| 
;** --------------------------------------------------------------------------*
L38:    
           B       .S2     B2                ; |237| 
           ADDK    .S2     16,SP             ; |237| 
           NOP             4
           ; BRANCH OCCURS                   ; |237| 


	.sect	".text:_AD535_inGain"
	.clink
	.global	_AD535_inGain

;******************************************************************************
;* FUNCTION NAME: _AD535_inGain                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,A13,B0,B1,B2,  *
;*                           B3,B4,B5,B6,B7,B8,B9,SP                          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,A13,B0,B1,B2,  *
;*                           B3,B4,B5,B6,B7,B8,B9,SP                          *
;*   Local Frame Size  : 0 Args + 12 Auto + 16 Save = 28 byte                 *
;******************************************************************************
_AD535_inGain:
;** --------------------------------------------------------------------------*
           SPDP    .S1X    B4,A7:A6          ; |190| 
           ZERO    .D1     A1                ; |190| 

           MVKH    .S1     0xc0420000,A1     ; |190| 
||         SPDP    .S2     B4,B7:B6          ; |190| 
||         ZERO    .D1     A9                ; |190| 

           MVKH    .S1     0x40280000,A9     ; |190| 
||         ZERO    .D1     A0                ; |190| 
||         ZERO    .L1     A8                ; |190| 

           CMPGTDP .S2X    B7:B6,A9:A8,B4    ; |190| 
||         CMPLTDP .S1X    B7:B6,A1:A0,A0    ; |190| 

           STW     .D2T1   A13,*SP--(32)     ; |184| 

           XOR     .S1     1,A0,A0           ; |190| 
||         XOR     .S2     1,B4,B4           ; |190| 

           AND     .S2X    A0,B4,B0          ; |190| 
   [!B0]   B       .S1     L39               ; |190| 
           MVKL    .S2     __divd,B8         ; |191| 

           MVKH    .S2     __divd,B8         ; |191| 
||         STW     .D2T2   B3,*+SP(28)       ; |184| 
||         ZERO    .L2     B5                ; |191| 

           MVKH    .S2     0x3ff80000,B5     ; |191| 
||         STW     .D2T1   A10,*+SP(20)      ; |184| 

           ZERO    .D1     A12               ; |191| 
||         MV      .S1     A4,A10
||         MVKL    .S2     RL30,B3           ; |191| 
||         STW     .D2T1   A12,*+SP(24)      ; |184| 
||         ZERO    .L1     A13               ; |191| 

           ZERO    .D2     B4                ; |191| 
||         MV      .D1     A6,A4             ; |191| 
||         MVKH    .S2     RL30,B3           ; |191| 
||         MV      .L1     A7,A5             ; |191| 
||         MVKH    .S1     0x40390000,A13    ; |191| 

           ; BRANCH OCCURS                   ; |190| 
;** --------------------------------------------------------------------------*
           B       .S2     B8                ; |191| 
           NOP             5
RL30:      ; CALL OCCURS                     ; |191| 
           ADDDP   .L1     A13:A12,A5:A4,A1:A0 ; |191| 
           NOP             6
           DPTRUNC .L1     A1:A0,A8          ; |191| 
;** --------------------------------------------------------------------------*
L39:    
           MVK     .S1     -1,A0             ; |193| 
           CMPEQ   .L1     A10,A0,A1         ; |193| 

   [ A1]   B       .S1     L44               ; |193| 
||         MVKL    .S2     RL32,B3           ; |198| 

           MVKL    .S2     _writeData,B5     ; |198| 
           MVK     .S2     0x1,B8            ; |196| 
           MVK     .S2     9216,B6           ; |197| 
           MVKH    .S2     RL32,B3           ; |198| 

           MVKH    .S2     _writeData,B5     ; |198| 
||         MV      .D1     A10,A4            ; |198| 
||         ZERO    .D2     B9                ; |195| 
||         ADD     .L2     4,SP,B4           ; |198| 
||         MVK     .S1     0x3,A6            ; |198| 

           ; BRANCH OCCURS                   ; |193| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |198| 
           STW     .D2T2   B6,*+SP(12)       ; |197| 
           STW     .D2T2   B9,*+SP(4)        ; |195| 
           STW     .D2T2   B8,*+SP(8)        ; |196| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |198| 
           LDW     .D1T1   *+A10(8),A0
           NOP             4
           ADD     .D1     12,A0,A3
           LDW     .D1T1   *A3,A5
           NOP             4
           ADD     .D1     8,A5,A0
           LDW     .D1T1   *A0,A4            ; |220| 
           NOP             4
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L40:    
           AND     .S1     2,A4,A1           ; |220| 
   [!A1]   B       .S1     L40               ; |220| 
   [!A1]   LDW     .D1T1   *A0,A4            ; |220| 
   [ A1]   LDW     .D1T1   *+A3(4),A3        ; |208| 
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           MVK     .S1     0xffffff00,A4     ; |201| 
           LDW     .D1T1   *A3,A0
           NOP             4
           SHRU    .S1     A0,8,A1
   [!A1]   B       .S1     L43               ; |201| 
   [ A1]   ADD     .D1     8,A5,A0
   [ A1]   LDW     .D1T1   *A0,A6            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |201| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L41
;** --------------------------------------------------------------------------*
L41:    
           NOP             1
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop source line               : 51
;*      Loop opening brace source line : 0
;*      Loop closing brace source line : 0
;*      Known Minimum Trip Count         : 1
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1*       1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Disqualified loop: Loop carried dependency bound too large
;*----------------------------------------------------------------------------*
L42:    
           AND     .S1     2,A6,A1           ; |220| 
   [!A1]   B       .S1     L42               ; |220| 
   [!A1]   LDW     .D1T1   *A0,A6            ; |220| 
   [ A1]   LDW     .D1T1   *A3,A0
           NOP             3
           ; BRANCH OCCURS                   ; |220| 
;** --------------------------------------------------------------------------*
           NOP             1
           AND     .S1     A4,A0,A1          ; |202| 
   [ A1]   B       .S1     L41               ; |202| 
   [ A1]   ADD     .D1     8,A5,A0
   [ A1]   LDW     .D1T1   *A0,A6            ; |220| 
           NOP             3
           ; BRANCH OCCURS                   ; |202| 
;** --------------------------------------------------------------------------*
L43:    
           MVKL    .S2     _writeData,B5     ; |207| 
           MVKH    .S2     _writeData,B5     ; |207| 
           B       .S2     B5                ; |207| 
           CLR     .S1     A0,0,5,A0         ; |205| 
           ADD     .D1     A8,A0,A0          ; |205| 

           EXTU    .S1     A0,24,24,A0       ; |205| 
||         STW     .D2T2   B9,*+SP(12)       ; |206| 

           ADDK    .S1     1024,A0           ; |205| 
||         STW     .D2T2   B8,*+SP(4)        ; |204| 
||         MVKL    .S2     RL34,B3           ; |207| 

           STW     .D2T1   A0,*+SP(8)        ; |205| 
||         MVKH    .S2     RL34,B3           ; |207| 
||         ADD     .L2     4,SP,B4           ; |207| 
||         MV      .D1     A10,A4            ; |207| 
||         MVK     .S1     0x3,A6            ; |207| 

RL34:      ; CALL OCCURS                     ; |207| 
;** --------------------------------------------------------------------------*
L44:    
           LDW     .D2T2   *+SP(28),B3       ; |210| 
           LDW     .D2T1   *+SP(20),A10      ; |210| 
           LDW     .D2T1   *+SP(24),A12      ; |210| 
           LDW     .D2T1   *++SP(32),A13     ; |210| 
           NOP             1
           B       .S2     B3                ; |210| 
           NOP             5
           ; BRANCH OCCURS                   ; |210| 


	.sect	".text:_AD535_getMcbspHandle"
	.clink
	.global	_AD535_getMcbspHandle

;******************************************************************************
;* FUNCTION NAME: _AD535_getMcbspHandle                                       *
;*                                                                            *
;*   Regs Modified     : A4                                                   *
;*   Regs Used         : A4,B3                                                *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_AD535_getMcbspHandle:
;** --------------------------------------------------------------------------*
           B       .S2     B3                ; |151| 
           LDW     .D1T1   *+A4(8),A4        ; |150| 
           NOP             4
           ; BRANCH OCCURS                   ; |151| 


	.sect	".text:_AD535_config"
	.clink
	.global	_AD535_config

;******************************************************************************
;* FUNCTION NAME: _AD535_config                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,SP                    *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,B0,*
;*                           B1,B2,B3,B4,B5,B6,B7,B8,B9,SP                    *
;*   Local Frame Size  : 0 Args + 32 Auto + 24 Save = 56 byte                 *
;******************************************************************************
_AD535_config:
;** --------------------------------------------------------------------------*
           MVK     .S1     -1,A0             ; |158| 
           CMPEQ   .L1     A4,A0,A1

   [ A1]   B       .S1     L47               ; |158| 
||         STW     .D2T1   A14,*SP--(56)     ; |152| 

           STW     .D2T1   A10,*+SP(36)      ; |152| 
           STW     .D2T1   A13,*+SP(48)      ; |152| 
           STW     .D2T1   A12,*+SP(44)      ; |152| 

           STW     .D2T1   A11,*+SP(40)      ; |152| 
||         MV      .D1     A4,A14
||         ZERO    .S1     A5                ; |163| 
||         ZERO    .S2     B5                ; |163| 

           ZERO    .D1     A4                ; |163| 
||         ZERO    .L2     B4                ; |163| 
||         MV      .L1X    B4,A10
||         STW     .D2T2   B3,*+SP(52)       ; |152| 
||         MVKH    .S2     0xc0420000,B5     ; |163| 
||         MVKH    .S1     0x40280000,A5     ; |163| 

           ; BRANCH OCCURS                   ; |158| 
;** --------------------------------------------------------------------------*
           LDW     .D1T1   *+A10(8),A0       ; |163| 
           ZERO    .D1     A11               ; |163| 
           ZERO    .L1     A13               ; |163| 
           MVKH    .S1     0x40390000,A13    ; |163| 
           ZERO    .D1     A12               ; |163| 

           SPDP    .S1     A0,A1:A0          ; |163| 
||         SPDP    .S2X    A0,B7:B6          ; |163| 

           NOP             1

           CMPGTDP .S1     A1:A0,A5:A4,A0    ; |163| 
||         CMPLTDP .S2X    A1:A0,B5:B4,B4    ; |163| 

           NOP             1

           XOR     .S2     1,B4,B4           ; |163| 
||         XOR     .S1     1,A0,A0           ; |163| 

           AND     .S2X    B4,A0,B0          ; |163| 
   [!B0]   B       .S1     L45               ; |163| 
           MVKL    .S2     RL36,B3           ; |163| 
           MVKL    .S2     __divd,B8         ; |163| 
           MVKH    .S2     RL36,B3           ; |163| 

           MVKH    .S2     __divd,B8         ; |163| 
||         ZERO    .D2     B5                ; |163| 
||         MV      .S1X    B7,A5

           MVKH    .S2     0x3ff80000,B5     ; |163| 
||         MV      .L1X    B6,A4
||         ZERO    .D2     B4                ; |163| 

           ; BRANCH OCCURS                   ; |163| 
;** --------------------------------------------------------------------------*
           B       .S2     B8                ; |163| 
           NOP             5
RL36:      ; CALL OCCURS                     ; |163| 
           ADDDP   .L1     A13:A12,A5:A4,A1:A0 ; |163| 
           NOP             6
           DPTRUNC .L1     A1:A0,A11         ; |163| 
;** --------------------------------------------------------------------------*
L45:    
           LDW     .D1T1   *+A10(12),A3      ; |164| 
           ZERO    .D2     B5                ; |166| 
           MVKH    .S2     0xc0420000,B5     ; |166| 
           ZERO    .D1     A13               ; |166| 
           MVKH    .S1     0x40390000,A13    ; |166| 
           SPDP    .S1     A3,A1:A0          ; |166| 
           ZERO    .D2     B4                ; |166| 
           CMPLTDP .S2X    A1:A0,B5:B4,B7    ; |166| 
           ZERO    .D2     B5                ; |166| 
           MVKH    .S2     0x40280000,B5     ; |166| 
           CMPGTDP .S1X    A1:A0,B5:B4,A0    ; |166| 
           MVKL    .S2     RL38,B3           ; |166| 

           XOR     .S2     1,B7,B4           ; |166| 
||         XOR     .S1     1,A0,A0           ; |166| 

           AND     .S1X    B4,A0,A1          ; |166| 
   [!A1]   B       .S1     L46               ; |166| 
           MVKL    .S2     __divd,B6         ; |166| 
           MVKH    .S2     RL38,B3           ; |166| 
           MVKH    .S2     __divd,B6         ; |166| 
           ZERO    .D2     B5                ; |166| 

           ZERO    .D2     B4                ; |166| 
||         MVKH    .S2     0x3ff80000,B5     ; |166| 
||         ZERO    .D1     A3                ; |166| 
||         SPDP    .S1     A3,A5:A4          ; |164| 

           ; BRANCH OCCURS                   ; |166| 
;** --------------------------------------------------------------------------*
           B       .S2     B6                ; |166| 
           NOP             5
RL38:      ; CALL OCCURS                     ; |166| 
           ADDDP   .L1     A13:A12,A5:A4,A1:A0 ; |166| 
           NOP             6
           DPTRUNC .L1     A1:A0,A3          ; |166| 
;** --------------------------------------------------------------------------*
L46:    
           LDW     .D1T1   *A10,A6           ; |171| 

           LDW     .D1T1   *+A10(4),A5       ; |173| 
||         MVK     .S1     0x1,A0            ; |170| 

           STW     .D2T1   A0,*+SP(16)       ; |172| 
||         MVKL    .S2     _writeData,B5     ; |178| 

           STW     .D2T1   A0,*+SP(24)       ; |174| 
||         MVKH    .S2     _writeData,B5     ; |178| 

           B       .S2     B5                ; |178| 
||         STW     .D2T1   A0,*+SP(8)        ; |170| 
||         ZERO    .L2     B4                ; |167| 

           STW     .D2T2   B4,*+SP(32)       ; |176| 
||         SHL     .S1     A3,2,A0           ; |175| 

           ADDK    .S1     1282,A0           ; |175| 
||         STW     .D2T2   B4,*+SP(4)        ; |167| 

           ADD     .D1     A11,A5,A0         ; |173| 
||         STW     .D2T1   A0,*+SP(28)       ; |175| 
||         ADDK    .S1     774,A6            ; |171| 

           ADDK    .S1     1024,A0           ; |173| 
||         STW     .D2T1   A6,*+SP(12)       ; |171| 
||         MVKL    .S2     RL40,B3           ; |178| 

           STW     .D2T1   A0,*+SP(20)       ; |173| 
||         MVK     .S1     0x8,A6            ; |178| 
||         ADD     .L2     4,SP,B4           ; |178| 
||         MVKH    .S2     RL40,B3           ; |178| 
||         MV      .D1     A14,A4            ; |178| 

RL40:      ; CALL OCCURS                     ; |178| 
;** --------------------------------------------------------------------------*
L47:    
           LDW     .D2T2   *+SP(52),B3       ; |181| 
           LDW     .D2T1   *+SP(44),A12      ; |181| 
           LDW     .D2T1   *+SP(40),A11      ; |181| 
           LDW     .D2T1   *+SP(36),A10      ; |181| 
           LDW     .D2T1   *+SP(48),A13      ; |181| 
           B       .S2     B3                ; |181| 
           LDW     .D2T1   *++SP(56),A14     ; |181| 
           NOP             4
           ; BRANCH OCCURS                   ; |181| 


	.sect	".text:_AD535_close"
	.clink
	.global	_AD535_close

;******************************************************************************
;* FUNCTION NAME: _AD535_close                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 16 Auto + 4 Save = 20 byte                  *
;******************************************************************************
_AD535_close:
;** --------------------------------------------------------------------------*
           MVKL    .S1     _$T0$2,A0         ; |135| 

           MVKH    .S1     _$T0$2,A0         ; |135| 
||         STW     .D2T2   B3,*SP--(24)      ; |132| 

           LDW     .D1T1   *+A0(8),A3        ; |135| 
           LDW     .D1T1   *+A0(4),A5        ; |135| 
           ADD     .D2     4,SP,B4           ; |135| 
           LDW     .D1T1   *A0,A6            ; |135| 
           LDW     .D1T1   *+A0(12),A0       ; |135| 

           MVK     .S1     -1,A3             ; |141| 
||         STW     .D2T1   A3,*+B4(8)        ; |135| 

           CMPEQ   .L1     A4,A3,A1

           MVKL    .S2     _writeData,B5     ; |143| 
|| [ A1]   B       .S1     L48               ; |141| 

           MVKL    .S2     _MCBSP_close,B8   ; |146| 
           MVKL    .S2     RL42,B3           ; |143| 

           STW     .D2T1   A5,*+B4(4)        ; |135| 
||         MVKH    .S2     _writeData,B5     ; |143| 

           STW     .D2T1   A6,*B4            ; |135| 
||         MVKH    .S2     _MCBSP_close,B8   ; |146| 

           ADD     .L2     4,SP,B4           ; |143| 
||         STW     .D2T1   A0,*+B4(12)       ; |135| 
||         MVK     .S1     0x4,A6            ; |143| 
||         MVKH    .S2     RL42,B3           ; |143| 
||         ZERO    .D1     A8                ; |145| 

           ; BRANCH OCCURS                   ; |141| 
;** --------------------------------------------------------------------------*
           B       .S2     B5                ; |143| 
           NOP             5
RL42:      ; CALL OCCURS                     ; |143| 

           STW     .D1T1   A8,*+A4(4)        ; |145| 
||         B       .S2     B8                ; |146| 

           LDW     .D1T1   *+A4(8),A4        ; |146| 
           MVKL    .S2     RL44,B3           ; |146| 
           MVKH    .S2     RL44,B3           ; |146| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |146| 
;** --------------------------------------------------------------------------*
L48:    
           LDW     .D2T2   *++SP(24),B3      ; |149| 
           NOP             4
           B       .S2     B3                ; |149| 
           NOP             5
           ; BRANCH OCCURS                   ; |149| 


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_MCBSP_open
	.global	_MCBSP_close
	.global	__BOARD_init
	.global	__divd
