/*-------------------------------------------------------------------------*/
/* FILENAME: cnfdsp.h - Confidence Test Header File                        */
/*                                                                         */
/*  Rev 2.0   17 July 2000  T.J.Dillon                                     */
/*                                                                         */
/*-------------------------------------------------------------------------*/


#define  MEMTST 1000
#define  FLATST 2000
#define  ENDPNT 3000
#define  INTERV 4000
#define  PRINT 1
#define  SPECIAL MEMTST
#define  FLASH_WRITE_SIZE    0x80 
#define  INTERNAL_MEM_SIZE   (0x400)>>2
#define  EXTERNAL_MEM_SIZE   (0x400000)>>2
#define  INTERNAL_MEM_START  0xFC00
#define  EXTERNAL_MEM_START  0x80000000
#define  POST_END       0x90010000 
#define  ALL_A          0xaaaaaaaa
#define  ALL_5          0x55555555
#define  ALT_A5         0xa5a5a5a5
#define  ALT_5A         0x5a5a5a5a

int  mem_test (int pattern, int start_adress, int size_in_word );
int  mem_test_alt (int pattern, int start_adress, int size_in_word );
//int  flash_checksum (int start_address, int size_in_byte);
int  flash_test ( char pattern, int start_address, int size_in_byte ); 
int  play_codec(int number, int tone_playbk);
int  mcbsp0_test();
void qdma_start(int src, int dst, int size);
int  qdma_check(int src, int dst, int size);
void led_blink(int count, int ms_period, Uint32 leds_to_light);
unsigned int get_ioport(void);
unsigned int get_bdrev(void);
void delay_msec(Uint32 msec);
