/*******************************************************************************
* FILENAME
*   dsk6211.h
*
* DESCRIPTION
*   The public header file for dsk6211.dll
*
*******************************************************************************/

/* Enumeration used with dsk_board_type */
typedef enum {
               TYPE_UNKNOWN = 0,
               TYPE_DSK
             } dskDLL_BOARD_TYPE, *PdskDLL_BOARD_TYPE;
/* End of Enumeration used with dsk6x_board_type */

/* DSK Public Handle declaration */
typedef  void * dskHANDLE; 
/* End of DSK Public Handle declaration */

/* DSK Function Prototypes */
extern BOOL  dsk6x_open(unsigned long, dskHANDLE);
extern BOOL  dsk6x_close(dskHANDLE );
extern BOOL  dsk6x_board_type( dskHANDLE , PdskDLL_BOARD_TYPE, unsigned short *);           
extern BOOL  dsk6x_hpi_open(dskHANDLE );
extern BOOL  dsk6x_hpi_close(dskHANDLE );
extern BOOL  dsk6x_reset_dsp(dskHANDLE,unsigned char,unsigned char);
extern BOOL  dsk6x_reset_board(dskHANDLE);
extern BOOL  dsk6x_hpi_read(dskHANDLE ,unsigned long *, unsigned long *, unsigned long);
extern BOOL  dsk6x_hpi_write(dskHANDLE ,unsigned long *,unsigned long *, unsigned long);
extern BOOL  dsk6x_hpi_fill(dskHANDLE ,unsigned long,unsigned long *,unsigned long);
extern BOOL  dsk6x_hpi_generate_int(dskHANDLE );
extern int   dsk6x_coff_load(dskHANDLE ,char *, BOOL, BOOL, BOOL);

/* End of DSK Function Prototypes */


