;******************************************************************************
;* TMS320C6x ANSI C Codegen                   Version 4.10 Beta (May  4 2001) *
;* Date/Time created: Tue May 29 13:50:16 2001                                *
;******************************************************************************

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C671x                                          *
;*   Optimization      : Disabled                                             *
;*   Optimizing for    : Compile time, Ease of Development                    *
;*                       Based on options: no -o, no -ms                      *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Memory Model      : Large                                                *
;*   Calls to RTS      : Near                                                 *
;*   Pipelining        : Disabled                                             *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : Debug                                                *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.file	"post.c"
	.global	_hTimer
	.bss	_hTimer,4,4
	.sym	_hTimer,_hTimer, 24, 2, 32, $$fake0

	.sect	".cinit"
	.align	8
	.field  	IR_1,32
	.field  	_myTimerConfig+0,32
	.field  	768,32			; _myTimerConfig._ctl @ 0
	.field  	-1,32			; _myTimerConfig._prd @ 32
	.field  	0,32			; _myTimerConfig._cnt @ 64
IR_1:	.set	12
	.sect	".text"
	.global	_myTimerConfig
_myTimerConfig:	.usect	.far,12,4
	.sym	_myTimerConfig,_myTimerConfig, 8, 2, 96, $$fake1
	.global	_hMcbsp
	.bss	_hMcbsp,4,4
	.sym	_hMcbsp,_hMcbsp, 24, 2, 32, $$fake6
	.global	_hAD535
	.bss	_hAD535,4,4
	.sym	_hAD535,_hAD535, 24, 2, 32, $$fake8

	.sect	".cinit"
	.align	8
	.field  	IR_2,32
	.field  	_myConfig+0,32
	.field  	0,32			; _myConfig._lb_mode @ 0
	.field  	0,32			; _myConfig._mic_gain @ 32
	.word	000000000h		; _myConfig._in_gain @ 64
	.word	000000000h		; _myConfig._out_gain @ 96
IR_2:	.set	16
	.sect	".text"
	.global	_myConfig
_myConfig:	.usect	.far,16,4
	.sym	_myConfig,_myConfig, 8, 2, 128, $$fake11
	.global	_user_dip_settings
	.bss	_user_dip_settings,4,4
	.sym	_user_dip_settings,_user_dip_settings, 14, 2, 32
	.global	_pwb_assy_rev
	.bss	_pwb_assy_rev,4,4
	.sym	_pwb_assy_rev,_pwb_assy_rev, 14, 2, 32
	.global	_ext_mem_size
	.bss	_ext_mem_size,4,4
	.sym	_ext_mem_size,_ext_mem_size, 4, 2, 32
	.global	_post_speed
	.bss	_post_speed,4,4
	.sym	_post_speed,_post_speed, 14, 2, 32

	.sect	".cinit"
	.align	8
	.field  	IR_3,32
	.field  	_sin_table+0,32
	.field  	0,16			; _sin_table[0] @ 0
	.field  	5792,16			; _sin_table[1] @ 16
	.field  	8191,16			; _sin_table[2] @ 32
	.field  	5792,16			; _sin_table[3] @ 48
	.field  	0,16			; _sin_table[4] @ 64
	.field  	59743,16			; _sin_table[5] @ 80
	.field  	57344,16			; _sin_table[6] @ 96
	.field  	59743,16			; _sin_table[7] @ 112
IR_3:	.set	16
	.sect	".text"
	.global	_sin_table
_sin_table:	.usect	.far,16,4
	.sym	_sin_table,_sin_table, 51, 2, 128,, 8
;	C:\TI\C6000\CGTOOLS\BIN\acp6x.exe -Im:/include -Ic:/bsl/bsl20/include -DBOARD_6711DSK -DCHIP_6711 --large_model=0 --version=6710 -Ic:/ti/c6000/bios/include -Ic:/ti/c6000/rtdx/include -Ic:/ti/c6000/cgtools/include --keep_unneeded_types -m --i_output_file C:\WINDOWS\TEMP\TI48898699_2 --template_info_file C:\WINDOWS\TEMP\TI48898699_3 --object_file post.obj --opt_shell 14 post.c -g -s -al -as -im:/include -ic:/bsl/bsl20/include -dBOARD_6711DSK -dCHIP_6711 -ml0 -mv6710 -ic:/ti/c6000/bios/include 
	.sect	".text"
	.file	"m:/include/csl.h"
	.sym	_CSL_init,_CSL_init, 32, 3, 0
	.func	104

;******************************************************************************
;* FUNCTION NAME: _CSL_init                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_CSL_init:
;** --------------------------------------------------------------------------*
	.line	1
;----------------------------------------------------------------------
; 104 | static inline void CSL_init() {                                        
; 106 | #if (CHIP_6201)                                                        
; 107 |   CSL6201_LIB_();                                                      
; 108 | #elif (CHIP_6202)                                                      
; 109 |   CSL6202_LIB_();                                                      
; 110 | #elif (CHIP_6203)                                                      
; 111 |   CSL6203_LIB_();                                                      
; 112 | #elif (CHIP_6204)                                                      
; 113 |   CSL6204_LIB_();                                                      
; 114 | #elif (CHIP_6205)                                                      
; 115 |   CSL6205_LIB_();                                                      
; 116 | #elif (CHIP_6211)                                                      
; 117 |   CSL6211_LIB_();                                                      
; 118 | #elif (CHIP_6701)                                                      
; 119 |   CSL6701_LIB_();                                                      
; 120 | #elif (CHIP_6711)                                                      
;----------------------------------------------------------------------
           STW     .D2T2   B3,*SP--(8)       ; |104| 
           NOP             2
	.line	18
;----------------------------------------------------------------------
; 121 | CSL6711_LIB_();                                                        
; 122 | #elif (CHIP_6400)                                                      
; 123 | CSL6400_LIB_();                                                        
; 124 | #endif                                                                 
;----------------------------------------------------------------------
           MVKL    .S2     _CSL6711_LIB_,B4  ; |121| 
           MVKH    .S2     _CSL6711_LIB_,B4  ; |121| 
           B       .S2     B4                ; |121| 
           MVKL    .S2     RL0,B3            ; |121| 
           MVKH    .S2     RL0,B3            ; |121| 
           NOP             3
RL0:       ; CALL OCCURS                     ; |121| 
	.line	23
;----------------------------------------------------------------------
; 126 | _CSL_init((_CSL_Config*)INV);                                          
;----------------------------------------------------------------------
           MVKL    .S1     __CSL_init,A0     ; |126| 
           MVKH    .S1     __CSL_init,A0     ; |126| 
           B       .S2X    A0                ; |126| 
           MVKL    .S2     RL2,B3            ; |126| 
           MVKH    .S2     RL2,B3            ; |126| 
           MVK     .S1     0xffffffff,A4     ; |126| 
           NOP             2
RL2:       ; CALL OCCURS                     ; |126| 
	.line	24
           LDW     .D2T2   *++SP(8),B3       ; |127| 
           NOP             4
           B       .S2     B3                ; |127| 
           NOP             5
           ; BRANCH OCCURS                   ; |127| 
	.endfunc	127,000080000h,8


	.sect	".text"
	.global	_main
	.file	"post.c"
	.sym	_main,_main, 36, 2, 0
	.func	112

;******************************************************************************
;* FUNCTION NAME: _main                                                       *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,SP                            *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,DP,SP                         *
;*   Local Frame Size  : 0 Args + 0 Auto + 16 Save = 16 byte                  *
;******************************************************************************
_main:
;** --------------------------------------------------------------------------*
	.line	1
;----------------------------------------------------------------------
; 112 | int main() {                                                           
;----------------------------------------------------------------------
           STW     .D2T2   B10,*SP--(16)     ; |112| 
           STW     .D2T1   A10,*+SP(4)       ; |112| 
           STW     .D2T1   A11,*+SP(8)       ; |112| 
           STW     .D2T2   B3,*+SP(12)       ; |112| 
           NOP             2
	.line	4
;----------------------------------------------------------------------
; 115 | CSL_init();                                                            
;----------------------------------------------------------------------
           B       .S1     _CSL_init         ; |115| 
           MVKL    .S2     RL4,B3            ; |115| 
           MVKH    .S2     RL4,B3            ; |115| 
           NOP             3
RL4:       ; CALL OCCURS                     ; |115| 
	.line	5
;----------------------------------------------------------------------
; 116 | BSL_init();                                                            
;----------------------------------------------------------------------
           MVKL    .S1     _BSL_init,A0      ; |116| 
           MVKH    .S1     _BSL_init,A0      ; |116| 
           B       .S2X    A0                ; |116| 
           NOP             3
           MVKL    .S2     RL6,B3            ; |116| 
           MVKH    .S2     RL6,B3            ; |116| 
RL6:       ; CALL OCCURS                     ; |116| 
	.line	8
;----------------------------------------------------------------------
; 119 | CHIP_RSET(CSR,0x100);                 /* Disable all interrupts
;     |       */                                                               
;----------------------------------------------------------------------
           MVK     .S1     256,A0            ; |119| 
           MVC     .S2X    A0,CSR            ; |119| 
           NOP             1
	.line	9
;----------------------------------------------------------------------
; 120 | CHIP_RSET(IER,1);                     /* Disable all interrupts except
;     | NMI   */                                                               
;----------------------------------------------------------------------
           MVK     .S1     1,A0              ; |120| 
           MVC     .S2X    A0,IER            ; |120| 
           NOP             1
	.line	10
;----------------------------------------------------------------------
; 121 | CHIP_RSET(ICR,0xffff);                /* Clear all pending interrupts
;     |       */                                                               
;----------------------------------------------------------------------
           ZERO    .D1     A0                ; |121| 
           SET     .S1     A0,0x0,0xf,A0     ; |121| 
           MVC     .S2X    A0,ICR            ; |121| 
           NOP             1
	.line	15
;----------------------------------------------------------------------
; 126 | EMIF_configArgs(0x00003300,            /* EMIF global control register
;     |         */                                                             
; 127 |              0xFFFFFF30,            /* CE0 - SDRAM
;     |      */                                                                
; 128 |              0xFFFFFF23,            /* CE1 - 32-bit asynch
;     |      */                                                                
; 129 |              0xFFFFFF23,            /* CE2 - 32-bit asynch on daughterb
;     | oard */                                                                
; 130 |              0xFFFFFF23,            /* CE3 - 32-bit asynch on daughterb
;     | oard */                                                                
; 131 |              0x07227000,            /* SDRAM control register (100 MHz)
;     |      */                                                                
; 132 |              0x0000061A,            /* SDRAM Timing register
;     |      */                                                                
; 133 |              0x00054529             /* SDRAM Extension register
;     |      */                                                                
; 134 |             );                                                         
;----------------------------------------------------------------------
           MVKL    .S2     0x7227000,B8      ; |126| 

           MVKL    .S1     _EMIF_configArgs,A0 ; |126| 
||         MVK     .S2     0xffffff23,B6     ; |126| 

           MVKH    .S1     _EMIF_configArgs,A0 ; |126| 
||         MVKL    .S2     0x54529,B10       ; |126| 

           B       .S2X    A0                ; |126| 
           MVK     .S2     0xffffff30,B4     ; |126| 

           MVKH    .S2     0x7227000,B8      ; |126| 
||         MVK     .S1     0x3300,A4         ; |126| 

           MVKL    .S2     RL8,B3            ; |126| 
||         MVK     .S1     0xffffff23,A6     ; |126| 

           MVKH    .S2     0x54529,B10       ; |126| 
||         MVK     .S1     0xffffff23,A8     ; |126| 

           MVKH    .S2     RL8,B3            ; |126| 
||         MVK     .S1     0x61a,A10         ; |126| 

RL8:       ; CALL OCCURS                     ; |126| 
	.line	29
;----------------------------------------------------------------------
; 140 | hTimer = TIMER_open(TIMER_DEVANY, TIMER_OPEN_RESET);                   
;----------------------------------------------------------------------
           MVKL    .S2     _TIMER_open,B5    ; |140| 
           MVKH    .S2     _TIMER_open,B5    ; |140| 
           B       .S2     B5                ; |140| 
           MVKL    .S2     RL10,B3           ; |140| 
           MVK     .S2     0x1,B4            ; |140| 
           MVKH    .S2     RL10,B3           ; |140| 
           MVK     .S1     0xffffffff,A4     ; |140| 
           NOP             1
RL10:      ; CALL OCCURS                     ; |140| 
           STW     .D2T1   A4,*+DP(_hTimer)  ; |140| 
           NOP             2
	.line	30
;----------------------------------------------------------------------
; 141 | TIMER_config(hTimer, &myTimerConfig);                                  
;----------------------------------------------------------------------
           MVKL    .S1     _TIMER_config,A3  ; |141| 
           MVKH    .S1     _TIMER_config,A3  ; |141| 
           B       .S2X    A3                ; |141| 
           MVKL    .S1     _myTimerConfig,A0 ; |141| 
           MVKH    .S1     _myTimerConfig,A0 ; |141| 
           MVKL    .S2     RL12,B3           ; |141| 
           MV      .L2X    A0,B4             ; |141| 
           MVKH    .S2     RL12,B3           ; |141| 
RL12:      ; CALL OCCURS                     ; |141| 
	.line	31
;----------------------------------------------------------------------
; 142 | TIMER_start(hTimer);                                                   
;----------------------------------------------------------------------
           MVKL    .S1     _TIMER_start,A0   ; |142| 
           MVKH    .S1     _TIMER_start,A0   ; |142| 
           B       .S2X    A0                ; |142| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |142| 
           MVKL    .S2     RL14,B3           ; |142| 
           MVKH    .S2     RL14,B3           ; |142| 
           NOP             2
RL14:      ; CALL OCCURS                     ; |142| 
	.line	32
;----------------------------------------------------------------------
; 143 | TIMER_pause(hTimer);                                                   
;----------------------------------------------------------------------
           MVKL    .S1     _TIMER_pause,A0   ; |143| 
           MVKH    .S1     _TIMER_pause,A0   ; |143| 
           B       .S2X    A0                ; |143| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |143| 
           MVKL    .S2     RL16,B3           ; |143| 
           MVKH    .S2     RL16,B3           ; |143| 
           NOP             2
RL16:      ; CALL OCCURS                     ; |143| 
	.line	37
;----------------------------------------------------------------------
; 148 | user_dip_settings=((DIP_get(DIP_3)<<2) +                               
; 149 |                    (DIP_get(DIP_2)<<1) +                               
; 150 |                     DIP_get(DIP_1)                                     
; 151 |                   );                                                   
;----------------------------------------------------------------------
           MVKL    .S2     _DIP_get,B4       ; |148| 
           MVKH    .S2     _DIP_get,B4       ; |148| 
           B       .S2     B4                ; |148| 
           MVKL    .S2     RL22,B3           ; |148| 
           MVKH    .S2     RL22,B3           ; |148| 
           MVK     .S1     0x2,A4            ; |148| 
           NOP             2
RL22:      ; CALL OCCURS                     ; |148| 
           MVKL    .S2     _DIP_get,B4       ; |148| 
           MVKH    .S2     _DIP_get,B4       ; |148| 
           B       .S2     B4                ; |148| 
           MVKL    .S2     RL20,B3           ; |148| 
           MV      .D1     A4,A10            ; |148| 
           MVKH    .S2     RL20,B3           ; |148| 
           MVK     .S1     0x4,A4            ; |148| 
           NOP             1
RL20:      ; CALL OCCURS                     ; |148| 
           MVKL    .S2     _DIP_get,B4       ; |148| 
           MVKH    .S2     _DIP_get,B4       ; |148| 
           B       .S2     B4                ; |148| 
           MVKL    .S2     RL18,B3           ; |148| 
           MVKH    .S2     RL18,B3           ; |148| 
           MV      .D1     A4,A11            ; |148| 
           MVK     .S1     0x1,A4            ; |148| 
           NOP             1
RL18:      ; CALL OCCURS                     ; |148| 
           SHL     .S1     A11,2,A0          ; |148| 
           ADDAH   .D1     A0,A10,A0         ; |148| 
           ADD     .D1     A4,A0,A0          ; |148| 
           STW     .D2T1   A0,*+DP(_user_dip_settings) ; |148| 
           NOP             2
	.line	41
;----------------------------------------------------------------------
; 152 | pwb_assy_rev=get_bdrev();                                              
;----------------------------------------------------------------------
           B       .S1     _get_bdrev        ; |152| 
           MVKL    .S2     RL24,B3           ; |152| 
           MVKH    .S2     RL24,B3           ; |152| 
           NOP             3
RL24:      ; CALL OCCURS                     ; |152| 
;** --------------------------------------------------------------------------*
           STW     .D2T1   A4,*+DP(_pwb_assy_rev) ; |152| 
           NOP             2
	.line	67
;----------------------------------------------------------------------
; 178 | switch (pwb_assy_rev) {                                                
;----------------------------------------------------------------------
           B       .S1     L6                ; |178| 
           NOP             5
           ; BRANCH OCCURS                   ; |178| 
;** --------------------------------------------------------------------------*
L1:    
	.line	68
;----------------------------------------------------------------------
; 179 | case 0: EMIF_RSET(SDCTL,0x07126000);                                   
;----------------------------------------------------------------------

           MVKL    .S2     0x7126000,B4      ; |179| 
||         MVKL    .S1     0x1800018,A0      ; |179| 

           MVKH    .S2     0x7126000,B4      ; |179| 
||         MVKH    .S1     0x1800018,A0      ; |179| 

           STW     .D1T2   B4,*A0            ; |179| 
           NOP             2
	.line	69
;----------------------------------------------------------------------
; 180 | ext_mem_size = EXTERNAL_MEM_SIZE;                                      
; 181 | break;                                                                 
;----------------------------------------------------------------------
           B       .S1     L8                ; |180| 
           NOP             2
           ZERO    .D1     A0                ; |180| 
           MVKH    .S1     0x100000,A0       ; |180| 
           STW     .D2T1   A0,*+DP(_ext_mem_size) ; |180| 
           ; BRANCH OCCURS                   ; |180| 
;** --------------------------------------------------------------------------*
L2:    
	.line	71
;----------------------------------------------------------------------
; 182 | case 1: EMIF_RSET(SDCTL,0x07227000);                                   
;----------------------------------------------------------------------

           MVKL    .S2     0x7227000,B4      ; |182| 
||         MVKL    .S1     0x1800018,A0      ; |182| 

           MVKH    .S2     0x7227000,B4      ; |182| 
||         MVKH    .S1     0x1800018,A0      ; |182| 

           STW     .D1T2   B4,*A0            ; |182| 
           NOP             2
	.line	72
;----------------------------------------------------------------------
; 183 | ext_mem_size = EXTERNAL_MEM_SIZE;                                      
; 184 | break;                                                                 
;----------------------------------------------------------------------
           B       .S1     L8                ; |183| 
           NOP             2
           ZERO    .D1     A0                ; |183| 
           MVKH    .S1     0x100000,A0       ; |183| 
           STW     .D2T1   A0,*+DP(_ext_mem_size) ; |183| 
           ; BRANCH OCCURS                   ; |183| 
;** --------------------------------------------------------------------------*
L3:    
	.line	74
;----------------------------------------------------------------------
; 185 | case 2: EMIF_RSET(SDCTL,0x57116000);                                   
;----------------------------------------------------------------------

           MVKL    .S2     0x57116000,B4     ; |185| 
||         MVKL    .S1     0x1800018,A0      ; |185| 

           MVKH    .S2     0x57116000,B4     ; |185| 
||         MVKH    .S1     0x1800018,A0      ; |185| 

           STW     .D1T2   B4,*A0            ; |185| 
           NOP             2
	.line	75
;----------------------------------------------------------------------
; 186 | ext_mem_size = 4*EXTERNAL_MEM_SIZE;                                    
; 187 | break;                                                                 
;----------------------------------------------------------------------
           B       .S1     L8                ; |186| 
           NOP             2
           ZERO    .D1     A0                ; |186| 
           MVKH    .S1     0x400000,A0       ; |186| 
           STW     .D2T1   A0,*+DP(_ext_mem_size) ; |186| 
           ; BRANCH OCCURS                   ; |186| 
;** --------------------------------------------------------------------------*
L4:    
	.line	77
;----------------------------------------------------------------------
; 188 | case 3: EMIF_RSET(SDCTL,0x53116000);                                   
;----------------------------------------------------------------------

           MVKL    .S2     0x53116000,B4     ; |188| 
||         MVKL    .S1     0x1800018,A0      ; |188| 

           MVKH    .S2     0x53116000,B4     ; |188| 
||         MVKH    .S1     0x1800018,A0      ; |188| 

           STW     .D1T2   B4,*A0            ; |188| 
           NOP             2
	.line	78
;----------------------------------------------------------------------
; 189 | ext_mem_size = 8*EXTERNAL_MEM_SIZE;                                    
; 190 | break;                                                                 
;----------------------------------------------------------------------
           B       .S1     L8                ; |189| 
           NOP             2
           ZERO    .D1     A0                ; |189| 
           MVKH    .S1     0x800000,A0       ; |189| 
           STW     .D2T1   A0,*+DP(_ext_mem_size) ; |189| 
           ; BRANCH OCCURS                   ; |189| 
;** --------------------------------------------------------------------------*
L5:    
	.line	80
;----------------------------------------------------------------------
; 191 | case 4: EMIF_RSET(SDCTL,0x63116000);                                   
;----------------------------------------------------------------------

           MVKL    .S2     0x63116000,B4     ; |191| 
||         MVKL    .S1     0x1800018,A0      ; |191| 

           MVKH    .S2     0x63116000,B4     ; |191| 
||         MVKH    .S1     0x1800018,A0      ; |191| 

           STW     .D1T2   B4,*A0            ; |191| 
           NOP             2
	.line	81
;----------------------------------------------------------------------
; 192 | ext_mem_size = 16*EXTERNAL_MEM_SIZE;                                   
; 193 | break;                                                                 
;----------------------------------------------------------------------
           B       .S1     L8                ; |192| 
           NOP             2
           ZERO    .D1     A0                ; |192| 
           MVKH    .S1     0x1000000,A0      ; |192| 
           STW     .D2T1   A0,*+DP(_ext_mem_size) ; |192| 
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
L6:    
           CMPGT   .L2X    A4,2,B2
   [ B2]   B       .S1     L7                ; |192| 
           CMPEQ   .L2X    A4,3,B1
           CMPEQ   .L1     A4,2,A1
           MV      .S2X    A4,B0
           NOP             2
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
   [ A1]   B       .S1     L3                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
   [!B0]   B       .S1     L1                ; |192| 
           CMPEQ   .L2     B0,1,B1           ; |192| 
           NOP             4
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
   [ B1]   B       .S1     L2                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
           B       .S1     L8                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
L7:    
   [ B1]   B       .S1     L4                ; |192| 
           CMPEQ   .L2     B0,4,B0           ; |192| 
           NOP             4
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
   [ B0]   B       .S1     L5                ; |192| 
           NOP             5
           ; BRANCH OCCURS                   ; |192| 
;** --------------------------------------------------------------------------*
L8:    
	.line	85
;----------------------------------------------------------------------
; 196 | if(user_dip_settings == 5)                                             
;----------------------------------------------------------------------
           LDW     .D2T2   *+DP(_user_dip_settings),B4 ; |196| 
           NOP             4
           CMPEQ   .L2     B4,5,B0           ; |196| 
   [!B0]   B       .S1     L9                ; |196| 
           NOP             5
           ; BRANCH OCCURS                   ; |196| 
;** --------------------------------------------------------------------------*
	.line	86
;----------------------------------------------------------------------
; 197 | post_speed=FAST;                                                       
; 198 | else                                                                   
;----------------------------------------------------------------------
           B       .S1     L10               ; |197| 
           NOP             3
           MVK     .S2     50,B4             ; |197| 
           STW     .D2T2   B4,*+DP(_post_speed) ; |197| 
           ; BRANCH OCCURS                   ; |197| 
;** --------------------------------------------------------------------------*
L9:    
	.line	88
;----------------------------------------------------------------------
; 199 | post_speed=SLOW;                                                       
;----------------------------------------------------------------------
           MVK     .S2     500,B4            ; |199| 
           STW     .D2T2   B4,*+DP(_post_speed) ; |199| 
;** --------------------------------------------------------------------------*
L10:    
	.line	93
;----------------------------------------------------------------------
; 204 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |204| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |204| 
           MVKL    .S2     RL26,B3           ; |204| 
           MVKH    .S2     RL26,B3           ; |204| 
           NOP             2
RL26:      ; CALL OCCURS                     ; |204| 
	.line	94
;----------------------------------------------------------------------
; 205 | LED_off(LED_ALL);           /* turn off all three leds    */           
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |205| 
           MVKH    .S1     _LED_off,A0       ; |205| 
           B       .S2X    A0                ; |205| 
           MVKL    .S2     RL28,B3           ; |205| 
           MVKH    .S2     RL28,B3           ; |205| 
           MVK     .S1     0x7,A4            ; |205| 
           NOP             2
RL28:      ; CALL OCCURS                     ; |205| 
	.line	95
;----------------------------------------------------------------------
; 206 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |206| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |206| 
           MVKL    .S2     RL30,B3           ; |206| 
           MVKH    .S2     RL30,B3           ; |206| 
           NOP             2
RL30:      ; CALL OCCURS                     ; |206| 
	.line	101
;----------------------------------------------------------------------
; 212 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S2     _LED_off,B4       ; |212| 
           MVKH    .S2     _LED_off,B4       ; |212| 
           B       .S2     B4                ; |212| 
           MVKL    .S2     RL32,B3           ; |212| 
           MVKH    .S2     RL32,B3           ; |212| 
           MVK     .S1     0x7,A4            ; |212| 
           NOP             2
RL32:      ; CALL OCCURS                     ; |212| 
	.line	102
;----------------------------------------------------------------------
; 213 | LED_on(LED_1);                                                         
;----------------------------------------------------------------------
           MVKL    .S2     _LED_on,B4        ; |213| 
           MVKH    .S2     _LED_on,B4        ; |213| 
           B       .S2     B4                ; |213| 
           MVKL    .S2     RL34,B3           ; |213| 
           MVKH    .S2     RL34,B3           ; |213| 
           MVK     .S1     0x1,A4            ; |213| 
           NOP             2
RL34:      ; CALL OCCURS                     ; |213| 
	.line	103
;----------------------------------------------------------------------
; 214 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |214| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |214| 
           MVKL    .S2     RL36,B3           ; |214| 
           MVKH    .S2     RL36,B3           ; |214| 
           NOP             2
RL36:      ; CALL OCCURS                     ; |214| 
	.line	105
;----------------------------------------------------------------------
; 216 | if(mem_test(ALL_5,INTERNAL_MEM_START,INTERNAL_MEM_SIZE))               
;----------------------------------------------------------------------
           B       .S1     _mem_test         ; |216| 
           MVKL    .S2     RL38,B3           ; |216| 
           MVKL    .S1     0x55555555,A4     ; |216| 
           MVKH    .S2     RL38,B3           ; |216| 

           ZERO    .D2     B4                ; |216| 
||         MVKH    .S1     0x55555555,A4     ; |216| 

           MVK     .S1     0x1000,A6         ; |216| 
||         SET     .S2     B4,0xe,0xf,B4     ; |216| 

RL38:      ; CALL OCCURS                     ; |216| 
           MV      .D1     A4,A1             ; |216| 
   [!A1]   B       .S1     L11               ; |216| 
           NOP             5
           ; BRANCH OCCURS                   ; |216| 
;** --------------------------------------------------------------------------*
	.line	107
;----------------------------------------------------------------------
; 218 | exit(0);                                                               
;----------------------------------------------------------------------
           B       .S1     _exit             ; |218| 
           MVKL    .S2     RL40,B3           ; |218| 
           MVKH    .S2     RL40,B3           ; |218| 
           ZERO    .D1     A4                ; |218| 
           NOP             2
RL40:      ; CALL OCCURS                     ; |218| 
;** --------------------------------------------------------------------------*
L11:    
	.line	110
;----------------------------------------------------------------------
; 221 | if(mem_test(ALL_A,INTERNAL_MEM_START,INTERNAL_MEM_SIZE))               
;----------------------------------------------------------------------
           B       .S1     _mem_test         ; |221| 
           MVKL    .S1     0xaaaaaaaa,A4     ; |221| 
           MVKL    .S2     RL42,B3           ; |221| 
           MVKH    .S2     RL42,B3           ; |221| 

           MVK     .S1     0x1000,A6         ; |221| 
||         ZERO    .D2     B4                ; |221| 

           SET     .S2     B4,0xe,0xf,B4     ; |221| 
||         MVKH    .S1     0xaaaaaaaa,A4     ; |221| 

RL42:      ; CALL OCCURS                     ; |221| 
           MV      .D1     A4,A1             ; |221| 
   [!A1]   B       .S1     L12               ; |221| 
           NOP             5
           ; BRANCH OCCURS                   ; |221| 
;** --------------------------------------------------------------------------*
	.line	112
;----------------------------------------------------------------------
; 223 | exit(0);                                                               
;----------------------------------------------------------------------
           B       .S1     _exit             ; |223| 
           MVKL    .S2     RL44,B3           ; |223| 
           MVKH    .S2     RL44,B3           ; |223| 
           ZERO    .D1     A4                ; |223| 
           NOP             2
RL44:      ; CALL OCCURS                     ; |223| 
;** --------------------------------------------------------------------------*
L12:    
	.line	118
;----------------------------------------------------------------------
; 229 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |229| 
           MVKH    .S1     _LED_off,A0       ; |229| 
           B       .S2X    A0                ; |229| 
           MVKL    .S2     RL46,B3           ; |229| 
           MVKH    .S2     RL46,B3           ; |229| 
           MVK     .S1     0x7,A4            ; |229| 
           NOP             2
RL46:      ; CALL OCCURS                     ; |229| 
	.line	119
;----------------------------------------------------------------------
; 230 | LED_on(LED_2);                                                         
;----------------------------------------------------------------------
           MVKL    .S2     _LED_on,B4        ; |230| 
           MVKH    .S2     _LED_on,B4        ; |230| 
           B       .S2     B4                ; |230| 
           MVKL    .S2     RL48,B3           ; |230| 
           MVKH    .S2     RL48,B3           ; |230| 
           MVK     .S1     0x2,A4            ; |230| 
           NOP             2
RL48:      ; CALL OCCURS                     ; |230| 
	.line	120
;----------------------------------------------------------------------
; 231 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |231| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |231| 
           MVKL    .S2     RL50,B3           ; |231| 
           MVKH    .S2     RL50,B3           ; |231| 
           NOP             2
RL50:      ; CALL OCCURS                     ; |231| 
	.line	122
;----------------------------------------------------------------------
; 233 | if(mem_test_alt(ALT_5A,EXTERNAL_MEM_START,ext_mem_size))               
;----------------------------------------------------------------------
           B       .S1     _mem_test_alt     ; |233| 
           LDW     .D2T1   *+DP(_ext_mem_size),A6 ; |233| 
           MVKL    .S2     RL52,B3           ; |233| 
           ZERO    .D2     B4                ; |233| 

           MVKH    .S2     0x80000000,B4     ; |233| 
||         MVKL    .S1     0x5a5a5a5a,A4     ; |233| 

           MVKH    .S2     RL52,B3           ; |233| 
||         MVKH    .S1     0x5a5a5a5a,A4     ; |233| 

RL52:      ; CALL OCCURS                     ; |233| 
           MV      .D1     A4,A1             ; |233| 
   [!A1]   B       .S1     L13               ; |233| 
           NOP             5
           ; BRANCH OCCURS                   ; |233| 
;** --------------------------------------------------------------------------*
	.line	124
;----------------------------------------------------------------------
; 235 | exit(0);                                                               
;----------------------------------------------------------------------
           B       .S1     _exit             ; |235| 
           MVKL    .S2     RL54,B3           ; |235| 
           MVKH    .S2     RL54,B3           ; |235| 
           ZERO    .D1     A4                ; |235| 
           NOP             2
RL54:      ; CALL OCCURS                     ; |235| 
;** --------------------------------------------------------------------------*
L13:    
	.line	127
;----------------------------------------------------------------------
; 238 | if(mem_test_alt(ALT_A5,EXTERNAL_MEM_START,ext_mem_size))               
;----------------------------------------------------------------------
           B       .S1     _mem_test_alt     ; |238| 
           LDW     .D2T1   *+DP(_ext_mem_size),A6 ; |238| 
           MVKL    .S2     RL56,B3           ; |238| 
           MVKH    .S2     RL56,B3           ; |238| 

           MVKL    .S1     0xa5a5a5a5,A4     ; |238| 
||         ZERO    .D2     B4                ; |238| 

           MVKH    .S2     0x80000000,B4     ; |238| 
||         MVKH    .S1     0xa5a5a5a5,A4     ; |238| 

RL56:      ; CALL OCCURS                     ; |238| 
           MV      .D1     A4,A1             ; |238| 
   [!A1]   B       .S1     L14               ; |238| 
           NOP             5
           ; BRANCH OCCURS                   ; |238| 
;** --------------------------------------------------------------------------*
	.line	129
;----------------------------------------------------------------------
; 240 | exit(0);                                                               
;----------------------------------------------------------------------
           B       .S1     _exit             ; |240| 
           MVKL    .S2     RL58,B3           ; |240| 
           MVKH    .S2     RL58,B3           ; |240| 
           ZERO    .D1     A4                ; |240| 
           NOP             2
RL58:      ; CALL OCCURS                     ; |240| 
;** --------------------------------------------------------------------------*
L14:    
	.line	135
;----------------------------------------------------------------------
; 246 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |246| 
           MVKH    .S1     _LED_off,A0       ; |246| 
           B       .S2X    A0                ; |246| 
           MVKL    .S2     RL60,B3           ; |246| 
           MVKH    .S2     RL60,B3           ; |246| 
           MVK     .S1     0x7,A4            ; |246| 
           NOP             2
RL60:      ; CALL OCCURS                     ; |246| 
	.line	136
;----------------------------------------------------------------------
; 247 | LED_on(LED_1);                                                         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_on,A0        ; |247| 
           MVKH    .S1     _LED_on,A0        ; |247| 
           B       .S2X    A0                ; |247| 
           MVKL    .S2     RL62,B3           ; |247| 
           MVKH    .S2     RL62,B3           ; |247| 
           MVK     .S1     0x1,A4            ; |247| 
           NOP             2
RL62:      ; CALL OCCURS                     ; |247| 
	.line	137
;----------------------------------------------------------------------
; 248 | LED_on(LED_2);                                                         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_on,A0        ; |248| 
           MVKH    .S1     _LED_on,A0        ; |248| 
           B       .S2X    A0                ; |248| 
           MVKL    .S2     RL64,B3           ; |248| 
           MVKH    .S2     RL64,B3           ; |248| 
           MVK     .S1     0x2,A4            ; |248| 
           NOP             2
RL64:      ; CALL OCCURS                     ; |248| 
	.line	138
;----------------------------------------------------------------------
; 249 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |249| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |249| 
           MVKL    .S2     RL66,B3           ; |249| 
           MVKH    .S2     RL66,B3           ; |249| 
           NOP             2
RL66:      ; CALL OCCURS                     ; |249| 
	.line	141
;----------------------------------------------------------------------
; 252 | hMcbsp = MCBSP_open(MCBSP_DEV0, MCBSP_OPEN_RESET);                     
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_open,B5    ; |252| 
           MVKH    .S2     _MCBSP_open,B5    ; |252| 
           B       .S2     B5                ; |252| 
           MVKL    .S2     RL68,B3           ; |252| 
           MVKH    .S2     RL68,B3           ; |252| 
           MVK     .S2     0x1,B4            ; |252| 
           ZERO    .D1     A4                ; |252| 
           NOP             1
RL68:      ; CALL OCCURS                     ; |252| 
           STW     .D2T1   A4,*+DP(_hMcbsp)  ; |252| 
           NOP             2
	.line	143
;----------------------------------------------------------------------
; 254 | if (mcbsp0_test () != 0)                                               
;----------------------------------------------------------------------
           B       .S1     _mcbsp0_test      ; |254| 
           MVKL    .S2     RL70,B3           ; |254| 
           MVKH    .S2     RL70,B3           ; |254| 
           NOP             3
RL70:      ; CALL OCCURS                     ; |254| 
           MV      .D1     A4,A1             ; |254| 
   [!A1]   B       .S1     L15               ; |254| 
           NOP             5
           ; BRANCH OCCURS                   ; |254| 
;** --------------------------------------------------------------------------*
	.line	145
;----------------------------------------------------------------------
; 256 | exit(0);                                                               
;----------------------------------------------------------------------
           B       .S1     _exit             ; |256| 
           MVKL    .S2     RL72,B3           ; |256| 
           MVKH    .S2     RL72,B3           ; |256| 
           ZERO    .D1     A4                ; |256| 
           NOP             2
RL72:      ; CALL OCCURS                     ; |256| 
;** --------------------------------------------------------------------------*
L15:    
	.line	148
;----------------------------------------------------------------------
; 259 | MCBSP_close(hMcbsp);                                                   
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_close,A0   ; |259| 
           MVKH    .S1     _MCBSP_close,A0   ; |259| 
           B       .S2X    A0                ; |259| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |259| 
           MVKL    .S2     RL74,B3           ; |259| 
           MVKH    .S2     RL74,B3           ; |259| 
           NOP             2
RL74:      ; CALL OCCURS                     ; |259| 
	.line	153
;----------------------------------------------------------------------
; 264 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S2     _LED_off,B4       ; |264| 
           MVKH    .S2     _LED_off,B4       ; |264| 
           B       .S2     B4                ; |264| 
           MVKL    .S2     RL76,B3           ; |264| 
           MVKH    .S2     RL76,B3           ; |264| 
           MVK     .S1     0x7,A4            ; |264| 
           NOP             2
RL76:      ; CALL OCCURS                     ; |264| 
	.line	154
;----------------------------------------------------------------------
; 265 | LED_on(LED_3);                                                         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_on,A0        ; |265| 
           MVKH    .S1     _LED_on,A0        ; |265| 
           B       .S2X    A0                ; |265| 
           MVKL    .S2     RL78,B3           ; |265| 
           MVKH    .S2     RL78,B3           ; |265| 
           MVK     .S1     0x4,A4            ; |265| 
           NOP             2
RL78:      ; CALL OCCURS                     ; |265| 
	.line	155
;----------------------------------------------------------------------
; 266 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |266| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |266| 
           MVKL    .S2     RL80,B3           ; |266| 
           MVKH    .S2     RL80,B3           ; |266| 
           NOP             2
RL80:      ; CALL OCCURS                     ; |266| 
	.line	157
;----------------------------------------------------------------------
; 268 | hAD535 = AD535_open(AD535_localId);                                    
;----------------------------------------------------------------------
           MVKL    .S1     _AD535_open,A0    ; |268| 
           MVKL    .S1     _AD535_localId,A3 ; |268| 
           MVKH    .S1     _AD535_open,A0    ; |268| 

           B       .S2X    A0                ; |268| 
||         MVKH    .S1     _AD535_localId,A3 ; |268| 

           LDW     .D1T1   *A3,A4            ; |268| 
           MVKL    .S2     RL82,B3           ; |268| 
           MVKH    .S2     RL82,B3           ; |268| 
           NOP             2
RL82:      ; CALL OCCURS                     ; |268| 
           STW     .D2T1   A4,*+DP(_hAD535)  ; |268| 
           NOP             2
	.line	158
;----------------------------------------------------------------------
; 269 | AD535_config(hAD535, &myConfig);                                       
;----------------------------------------------------------------------
           MVKL    .S1     _AD535_config,A0  ; |269| 
           MVKH    .S1     _AD535_config,A0  ; |269| 
           B       .S2X    A0                ; |269| 
           MVKL    .S2     _myConfig,B4      ; |269| 
           MVKH    .S2     _myConfig,B4      ; |269| 
           MVKL    .S2     RL84,B3           ; |269| 
           MVKH    .S2     RL84,B3           ; |269| 
           NOP             1
RL84:      ; CALL OCCURS                     ; |269| 
	.line	160
;----------------------------------------------------------------------
; 271 | play_codec(40*post_speed, 0);                                          
;----------------------------------------------------------------------
           LDW     .D2T2   *+DP(_post_speed),B4 ; |271| 
           MVKL    .S2     RL86,B3           ; |271| 
           B       .S1     _play_codec       ; |271| 
           MVKH    .S2     RL86,B3           ; |271| 
           NOP             1
           SHL     .S2     B4,5,B5           ; |271| 
           ADDAD   .D2     B5,B4,B4          ; |271| 

           ZERO    .D2     B4                ; |271| 
||         MV      .S1X    B4,A4             ; |271| 

RL86:      ; CALL OCCURS                     ; |271| 
	.line	165
;----------------------------------------------------------------------
; 276 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S2     _LED_off,B4       ; |276| 
           MVKH    .S2     _LED_off,B4       ; |276| 
           B       .S2     B4                ; |276| 
           MVKL    .S2     RL88,B3           ; |276| 
           MVKH    .S2     RL88,B3           ; |276| 
           MVK     .S1     0x7,A4            ; |276| 
           NOP             2
RL88:      ; CALL OCCURS                     ; |276| 
	.line	166
;----------------------------------------------------------------------
; 277 | LED_on(LED_1);                                                         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_on,A0        ; |277| 
           MVKH    .S1     _LED_on,A0        ; |277| 
           B       .S2X    A0                ; |277| 
           MVKL    .S2     RL90,B3           ; |277| 
           MVKH    .S2     RL90,B3           ; |277| 
           MVK     .S1     0x1,A4            ; |277| 
           NOP             2
RL90:      ; CALL OCCURS                     ; |277| 
	.line	167
;----------------------------------------------------------------------
; 278 | LED_on(LED_3);                                                         
;----------------------------------------------------------------------
           MVKL    .S2     _LED_on,B4        ; |278| 
           MVKH    .S2     _LED_on,B4        ; |278| 
           B       .S2     B4                ; |278| 
           MVKL    .S2     RL92,B3           ; |278| 
           MVKH    .S2     RL92,B3           ; |278| 
           MVK     .S1     0x4,A4            ; |278| 
           NOP             2
RL92:      ; CALL OCCURS                     ; |278| 
	.line	168
;----------------------------------------------------------------------
; 279 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |279| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |279| 
           MVKL    .S2     RL94,B3           ; |279| 
           MVKH    .S2     RL94,B3           ; |279| 
           NOP             2
RL94:      ; CALL OCCURS                     ; |279| 
;** --------------------------------------------------------------------------*
	.line	170
;----------------------------------------------------------------------
; 281 | play_codec(post_speed, 1);                                             
;----------------------------------------------------------------------
           B       .S1     _play_codec       ; |281| 
           LDW     .D2T1   *+DP(_post_speed),A4
           MVKL    .S2     RL96,B3           ; |281| 
           MVK     .S2     0x1,B4            ; |281| 
           MVKH    .S2     RL96,B3           ; |281| 
           NOP             1
RL96:      ; CALL OCCURS                     ; |281| 
	.line	175
;----------------------------------------------------------------------
; 286 | LED_off(LED_ALL);                       /* Display test # on LEDs */   
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |286| 
           MVKH    .S1     _LED_off,A0       ; |286| 
           B       .S2X    A0                ; |286| 
           MVKL    .S2     RL98,B3           ; |286| 
           MVKH    .S2     RL98,B3           ; |286| 
           MVK     .S1     0x7,A4            ; |286| 
           NOP             2
RL98:      ; CALL OCCURS                     ; |286| 
	.line	176
;----------------------------------------------------------------------
; 287 | LED_on(LED_2);                                                         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_on,A0        ; |287| 
           MVKH    .S1     _LED_on,A0        ; |287| 
           B       .S2X    A0                ; |287| 
           MVKL    .S2     RL100,B3          ; |287| 
           MVKH    .S2     RL100,B3          ; |287| 
           MVK     .S1     0x2,A4            ; |287| 
           NOP             2
RL100:     ; CALL OCCURS                     ; |287| 
	.line	177
;----------------------------------------------------------------------
; 288 | LED_on(LED_3);                                                         
;----------------------------------------------------------------------
           MVKL    .S2     _LED_on,B4        ; |288| 
           MVKH    .S2     _LED_on,B4        ; |288| 
           B       .S2     B4                ; |288| 
           MVKL    .S2     RL102,B3          ; |288| 
           MVKH    .S2     RL102,B3          ; |288| 
           MVK     .S1     0x4,A4            ; |288| 
           NOP             2
RL102:     ; CALL OCCURS                     ; |288| 
	.line	178
;----------------------------------------------------------------------
; 289 | delay_msec(post_speed);                                                
;----------------------------------------------------------------------
           B       .S1     _delay_msec       ; |289| 
           LDW     .D2T1   *+DP(_post_speed),A4 ; |289| 
           MVKL    .S2     RL104,B3          ; |289| 
           MVKH    .S2     RL104,B3          ; |289| 
           NOP             2
RL104:     ; CALL OCCURS                     ; |289| 
	.line	187
;----------------------------------------------------------------------
; 298 | led_blink(5, 2*post_speed);                                            
;----------------------------------------------------------------------

           B       .S1     _led_blink        ; |298| 
||         LDW     .D2T2   *+DP(_post_speed),B4 ; |298| 

           MVKL    .S2     RL106,B3          ; |298| 
           MVKH    .S2     RL106,B3          ; |298| 
           MVK     .S1     0x5,A4            ; |298| 
           NOP             1
           ADD     .D2     B4,B4,B4
RL106:     ; CALL OCCURS                     ; |298| 
	.line	189
;----------------------------------------------------------------------
; 300 | return(0);                                                             
;----------------------------------------------------------------------
           ZERO    .D1     A4                ; |300| 
	.line	191
           LDW     .D2T2   *+SP(12),B3       ; |302| 
           LDW     .D2T1   *+SP(4),A10       ; |302| 
           LDW     .D2T1   *+SP(8),A11       ; |302| 
           LDW     .D2T2   *++SP(16),B10     ; |302| 
           NOP             1
           B       .S2     B3                ; |302| 
           NOP             5
           ; BRANCH OCCURS                   ; |302| 
	.endfunc	302,004080c00h,16


	.sect	".text"
	.global	_mem_test
	.sym	_mem_test,_mem_test, 36, 2, 0
	.func	322
;----------------------------------------------------------------------
; 322 | int mem_test (int pattern, int start_address, int size_in_word )       
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _mem_test                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A4,B0,B4,B5,B6,SP                                 *
;*   Regs Used         : A0,A4,A6,B0,B3,B4,B5,B6,SP                           *
;*   Local Frame Size  : 0 Args + 24 Auto + 0 Save = 24 byte                  *
;******************************************************************************
_mem_test:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_pattern,4, 4, 17, 32
	.sym	_start_address,20, 4, 17, 32
	.sym	_size_in_word,6, 4, 17, 32
	.sym	_pattern,4, 4, 1, 32
	.sym	_start_address,8, 4, 1, 32
	.sym	_size_in_word,12, 4, 1, 32
	.sym	_i,16, 4, 1, 32
	.sym	_error,20, 4, 1, 32
	.sym	_mem_ptr,24, 20, 1, 32
           SUB     .D2     SP,24,SP          ; |323| 
;----------------------------------------------------------------------
; 324 | int i;                                                                 
;----------------------------------------------------------------------
           STW     .D2T1   A6,*+SP(12)       ; |323| 

           STW     .D2T1   A4,*+SP(4)        ; |323| 
||         MV      .S1X    B4,A0             ; |323| 

           STW     .D2T1   A0,*+SP(8)        ; |323| 
           NOP             2
	.line	4
;----------------------------------------------------------------------
; 325 | int error = 0;                                                         
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |325| 
           STW     .D2T2   B4,*+SP(20)       ; |325| 
           NOP             2
	.line	5
;----------------------------------------------------------------------
; 326 | int *mem_ptr = (int *)start_address;                                   
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |326| 
           NOP             4
           STW     .D2T2   B4,*+SP(24)       ; |326| 
           NOP             2
	.line	8
;----------------------------------------------------------------------
; 329 | for(i=0;i<size_in_word;i++)                                            
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |329| 
           STW     .D2T2   B4,*+SP(16)       ; |329| 
           LDW     .D2T2   *+SP(16),B5       ; |329| 
           NOP             4
           CMPLT   .L2X    B5,A6,B0
   [!B0]   B       .S1     L17               ; |329| 
           NOP             5
           ; BRANCH OCCURS                   ; |329| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L16:    
	.line	10
;----------------------------------------------------------------------
; 331 | *mem_ptr++ = pattern;                                                  
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(24),B4       ; |331| 
           LDW     .D2T2   *+SP(4),B6        ; |331| 
           NOP             3
           ADD     .D2     4,B4,B5           ; |331| 
           STW     .D2T2   B5,*+SP(24)       ; |331| 
           STW     .D2T2   B6,*B4            ; |331| 
           NOP             2
	.line	11
           LDW     .D2T2   *+SP(16),B4       ; |332| 
           NOP             4
           ADD     .D2     1,B4,B4           ; |332| 
           STW     .D2T2   B4,*+SP(16)       ; |332| 
           LDW     .D2T2   *+SP(16),B5       ; |332| 
           LDW     .D2T2   *+SP(12),B4       ; |332| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |332| 
   [ B0]   B       .S1     L16               ; |332| 
           NOP             5
           ; BRANCH OCCURS                   ; |332| 
;** --------------------------------------------------------------------------*
L17:    
	.line	14
;----------------------------------------------------------------------
; 335 | mem_ptr = (int *)start_address;                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |335| 
           NOP             4
           STW     .D2T2   B4,*+SP(24)       ; |335| 
           NOP             2
	.line	15
;----------------------------------------------------------------------
; 336 | for(i=0;i<size_in_word;i++)                                            
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |336| 
           STW     .D2T2   B4,*+SP(16)       ; |336| 
           LDW     .D2T2   *+SP(16),B5       ; |336| 
           LDW     .D2T2   *+SP(12),B4       ; |336| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |336| 
   [!B0]   B       .S1     L20               ; |336| 
           NOP             5
           ; BRANCH OCCURS                   ; |336| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L18:    
	.line	17
;----------------------------------------------------------------------
; 338 | if ( *mem_ptr++ != pattern) error++;                                   
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(24),B4       ; |338| 
           LDW     .D2T2   *+SP(4),B5        ; |338| 
           NOP             3
           LDW     .D2T2   *B4++,B6          ; |338| 
           STW     .D2T2   B4,*+SP(24)       ; |338| 
           NOP             3
           CMPEQ   .L2     B6,B5,B0          ; |338| 
   [ B0]   B       .S1     L19               ; |338| 
           NOP             5
           ; BRANCH OCCURS                   ; |338| 
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *+SP(20),B4       ; |338| 
           NOP             4
           ADD     .D2     1,B4,B4           ; |338| 
           STW     .D2T2   B4,*+SP(20)       ; |338| 
;** --------------------------------------------------------------------------*
L19:    
	.line	18
           LDW     .D2T2   *+SP(16),B4       ; |339| 
           LDW     .D2T2   *+SP(12),B5       ; |339| 
           NOP             3
           ADD     .D2     1,B4,B4           ; |339| 
           CMPLT   .L2     B4,B5,B0          ; |339| 
   [ B0]   B       .S1     L18               ; |339| 
           STW     .D2T2   B4,*+SP(16)       ; |339| 
           NOP             4
           ; BRANCH OCCURS                   ; |339| 
;** --------------------------------------------------------------------------*
L20:    
	.line	19
;----------------------------------------------------------------------
; 340 | return error;                                                          
;----------------------------------------------------------------------
           LDW     .D2T1   *+SP(20),A4       ; |340| 
           NOP             4
	.line	20
           B       .S2     B3                ; |341| 
           ADDK    .S2     24,SP             ; |341| 
           NOP             4
           ; BRANCH OCCURS                   ; |341| 
	.endfunc	341,000000000h,24


	.sect	".text"
	.global	_mem_test_alt
	.sym	_mem_test_alt,_mem_test_alt, 36, 2, 0
	.func	362
;----------------------------------------------------------------------
; 362 | int mem_test_alt (int pattern, int start_address, int size_in_word )   
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _mem_test_alt                                               *
;*                                                                            *
;*   Regs Modified     : A0,A1,A4,B0,B4,B5,B6,SP                              *
;*   Regs Used         : A0,A1,A4,A6,B0,B3,B4,B5,B6,SP                        *
;*   Local Frame Size  : 0 Args + 32 Auto + 0 Save = 32 byte                  *
;******************************************************************************
_mem_test_alt:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_pattern,4, 4, 17, 32
	.sym	_start_address,20, 4, 17, 32
	.sym	_size_in_word,6, 4, 17, 32
	.sym	_pattern,4, 4, 1, 32
	.sym	_start_address,8, 4, 1, 32
	.sym	_size_in_word,12, 4, 1, 32
	.sym	_i,16, 4, 1, 32
	.sym	_temp_read,20, 4, 1, 32
	.sym	_temp_expected,24, 4, 1, 32
	.sym	_error,28, 4, 1, 32
	.sym	_mem_ptr,32, 20, 1, 32
           ADDK    .S2     -32,SP            ; |363| 
;----------------------------------------------------------------------
; 364 | int i;                                                                 
; 365 | int temp_read, temp_expected;                                          
;----------------------------------------------------------------------
           STW     .D2T1   A6,*+SP(12)       ; |363| 

           STW     .D2T1   A4,*+SP(4)        ; |363| 
||         MV      .S1X    B4,A0             ; |363| 

           STW     .D2T1   A0,*+SP(8)        ; |363| 
           NOP             2
	.line	5
;----------------------------------------------------------------------
; 366 | int error = 0;                                                         
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |366| 
           STW     .D2T2   B4,*+SP(28)       ; |366| 
           NOP             2
	.line	6
;----------------------------------------------------------------------
; 367 | int *mem_ptr = (int *)start_address;                                   
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |367| 
           NOP             4
           STW     .D2T2   B4,*+SP(32)       ; |367| 
           NOP             2
	.line	9
;----------------------------------------------------------------------
; 370 | for(i=0;i<size_in_word;i++)                                            
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |370| 
           STW     .D2T2   B4,*+SP(16)       ; |370| 
           LDW     .D2T2   *+SP(16),B5       ; |370| 
           NOP             4
           CMPLT   .L2X    B5,A6,B0
   [!B0]   B       .S1     L24               ; |370| 
           NOP             5
           ; BRANCH OCCURS                   ; |370| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L21:    
	.line	11
;----------------------------------------------------------------------
; 372 | if(i%2)                                                                
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(16),B4       ; |372| 
           MVK     .S1     1,A0              ; |372| 
           NOT     .S1     A0,A0             ; |372| 
           NOP             2
           SHRU    .S2     B4,31,B5          ; |372| 
           ADD     .D2     B5,B4,B5          ; |372| 
           AND     .S1X    A0,B5,A0          ; |372| 
           SUB     .L1X    B4,A0,A1          ; |372| 
   [!A1]   B       .S1     L22               ; |372| 
           NOP             5
           ; BRANCH OCCURS                   ; |372| 
;** --------------------------------------------------------------------------*
	.line	12
;----------------------------------------------------------------------
; 373 | *mem_ptr++ = ~pattern;                                                 
; 374 | else                                                                   
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(32),B4       ; |373| 
           LDW     .D2T2   *+SP(4),B6        ; |373| 
           B       .S1     L23               ; |373| 
           NOP             2
           ADD     .D2     4,B4,B5           ; |373| 

           NOT     .S2     B6,B5             ; |373| 
||         STW     .D2T2   B5,*+SP(32)       ; |373| 

           STW     .D2T2   B5,*B4            ; |373| 
           ; BRANCH OCCURS                   ; |373| 
;** --------------------------------------------------------------------------*
L22:    
	.line	14
;----------------------------------------------------------------------
; 375 | *mem_ptr++ = pattern;                                                  
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(32),B6       ; |375| 
           LDW     .D2T2   *+SP(4),B5        ; |375| 
           NOP             3
           ADD     .D2     4,B6,B4           ; |375| 
           STW     .D2T2   B4,*+SP(32)       ; |375| 
           STW     .D2T2   B5,*B6            ; |375| 
;** --------------------------------------------------------------------------*
L23:    
	.line	15
           LDW     .D2T2   *+SP(16),B4       ; |376| 
           LDW     .D2T2   *+SP(12),B5       ; |376| 
           NOP             3
           ADD     .D2     1,B4,B4           ; |376| 
           CMPLT   .L2     B4,B5,B0          ; |376| 
   [ B0]   B       .S1     L21               ; |376| 
           STW     .D2T2   B4,*+SP(16)       ; |376| 
           NOP             4
           ; BRANCH OCCURS                   ; |376| 
;** --------------------------------------------------------------------------*
L24:    
	.line	18
;----------------------------------------------------------------------
; 379 | mem_ptr = (int *)start_address;                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B4        ; |379| 
           NOP             4
           STW     .D2T2   B4,*+SP(32)       ; |379| 
           NOP             2
	.line	19
;----------------------------------------------------------------------
; 380 | for(i=0;i<size_in_word;i++)                                            
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |380| 
           STW     .D2T2   B4,*+SP(16)       ; |380| 
           LDW     .D2T2   *+SP(16),B5       ; |380| 
           LDW     .D2T2   *+SP(12),B4       ; |380| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |380| 
   [!B0]   B       .S1     L29               ; |380| 
           NOP             5
           ; BRANCH OCCURS                   ; |380| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L25:    
	.line	21
;----------------------------------------------------------------------
; 382 | temp_read = *mem_ptr++;                                                
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(32),B4       ; |382| 
           NOP             4
           LDW     .D2T2   *B4++,B5          ; |382| 
           STW     .D2T2   B4,*+SP(32)       ; |382| 
           NOP             3
           STW     .D2T2   B5,*+SP(20)       ; |382| 
           NOP             2
	.line	23
;----------------------------------------------------------------------
; 384 | if(i%2)                                                                
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(16),B4       ; |384| 
           MVK     .S1     1,A0              ; |384| 
           NOT     .S1     A0,A0             ; |384| 
           NOP             2
           SHRU    .S2     B4,31,B5          ; |384| 
           ADD     .D2     B5,B4,B5          ; |384| 
           AND     .S1X    A0,B5,A0          ; |384| 
           SUB     .L1X    B4,A0,A1          ; |384| 
   [!A1]   B       .S1     L26               ; |384| 
           NOP             5
           ; BRANCH OCCURS                   ; |384| 
;** --------------------------------------------------------------------------*
	.line	24
;----------------------------------------------------------------------
; 385 | temp_expected = ~pattern;                                              
; 386 | else                                                                   
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B4        ; |385| 
           B       .S1     L27               ; |385| 
           NOP             3
           NOT     .S2     B4,B4             ; |385| 
           STW     .D2T2   B4,*+SP(24)       ; |385| 
           ; BRANCH OCCURS                   ; |385| 
;** --------------------------------------------------------------------------*
L26:    
	.line	26
;----------------------------------------------------------------------
; 387 | temp_expected = pattern;                                               
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B4        ; |387| 
           NOP             4
           STW     .D2T2   B4,*+SP(24)       ; |387| 
;** --------------------------------------------------------------------------*
L27:    
	.line	28
;----------------------------------------------------------------------
; 389 | if ( temp_read != temp_expected ) error++;                             
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(24),B5       ; |389| 
           LDW     .D2T2   *+SP(20),B4       ; |389| 
           NOP             4
           CMPEQ   .L2     B4,B5,B0          ; |389| 
   [ B0]   B       .S1     L28               ; |389| 
           NOP             5
           ; BRANCH OCCURS                   ; |389| 
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *+SP(28),B4       ; |389| 
           NOP             4
           ADD     .D2     1,B4,B4           ; |389| 
           STW     .D2T2   B4,*+SP(28)       ; |389| 
;** --------------------------------------------------------------------------*
L28:    
	.line	29
           LDW     .D2T2   *+SP(16),B4       ; |390| 
           LDW     .D2T2   *+SP(12),B5       ; |390| 
           NOP             3
           ADD     .D2     1,B4,B4           ; |390| 
           CMPLT   .L2     B4,B5,B0          ; |390| 
   [ B0]   B       .S1     L25               ; |390| 
           STW     .D2T2   B4,*+SP(16)       ; |390| 
           NOP             4
           ; BRANCH OCCURS                   ; |390| 
;** --------------------------------------------------------------------------*
L29:    
	.line	30
;----------------------------------------------------------------------
; 391 | return error;                                                          
;----------------------------------------------------------------------
           LDW     .D2T1   *+SP(28),A4       ; |391| 
           NOP             4
	.line	31
           B       .S2     B3                ; |392| 
           ADDK    .S2     32,SP             ; |392| 
           NOP             4
           ; BRANCH OCCURS                   ; |392| 
	.endfunc	392,000000000h,32


	.sect	".text"
	.global	_mcbsp0_test
	.sym	_mcbsp0_test,_mcbsp0_test, 36, 2, 0
	.func	412
;----------------------------------------------------------------------
; 412 | int mcbsp0_test()                                                      
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _mcbsp0_test                                                *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,SP                            *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A12,B0,B1,B2,B3,B4,*
;*                           B5,B6,B7,B8,B9,B10,DP,SP                         *
;*   Local Frame Size  : 0 Args + 8 Auto + 16 Save = 24 byte                  *
;******************************************************************************
_mcbsp0_test:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_temp,4, 14, 1, 32
	.sym	_temp1,8, 14, 1, 32
           STW     .D2T2   B10,*SP--(24)     ; |413| 
           STW     .D2T1   A10,*+SP(12)      ; |413| 
           STW     .D2T1   A12,*+SP(16)      ; |413| 
           STW     .D2T2   B3,*+SP(20)       ; |413| 
           NOP             2
	.line	3
;----------------------------------------------------------------------
; 414 | volatile Uint32 temp =0,temp1;                                         
;----------------------------------------------------------------------
           ZERO    .D1     A0                ; |414| 
           STW     .D2T1   A0,*+SP(4)        ; |414| 
           NOP             2
	.line	6
;----------------------------------------------------------------------
; 417 | MCBSP_configArgs(hMcbsp,                                               
; 418 |               0x00C1A001, /* SPCR- serial port control reg.
;     |   */                                                                   
; 419 |               0x00010040, /* RCR - recieve control reg.16 bit data/fram
;     | e */                                                                   
; 420 |               0x00010040, /* XCR - xmit control reg. 16 bit data/frame
;     |   */                                                                   
; 421 |               0x2014004A, /* SRGR- sample rate generator, baud rate 1MH
;     | z */                                                                   
; 422 |               0x00000000, /* MCR - multichannel control reg.
;     |   */                                                                   
; 423 |               0x00000000, /* RCER- recieve channel enable reg.
;     |   */                                                                   
; 424 |               0x00000000, /* RCER- recieve channel enable reg.
;     |   */                                                                   
; 425 |               0x00000A00  /* PCR - pin control reg.
;     |   */                                                                   
; 426 |              );                                                        
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_configArgs,A0 ; |417| 

           MVKH    .S1     _MCBSP_configArgs,A0 ; |417| 
||         MVKL    .S2     0x10040,B6        ; |417| 

           B       .S2X    A0                ; |417| 

           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |417| 
||         MVKL    .S2     0xc1a001,B4       ; |417| 
||         MVKL    .S1     0x10040,A6        ; |417| 

           MVKH    .S2     0x10040,B6        ; |417| 
||         MVKL    .S1     0x2014004a,A8     ; |417| 

           MVKL    .S2     RL108,B3          ; |417| 
||         MVKH    .S1     0x10040,A6        ; |417| 

           MVKH    .S2     0xc1a001,B4       ; |417| 
||         MVKH    .S1     0x2014004a,A8     ; |417| 

           MVKH    .S2     RL108,B3          ; |417| 
||         MVK     .S1     0xa00,A12         ; |417| 
||         ZERO    .D1     A10               ; |417| 
||         ZERO    .D2     B10               ; |417| 
||         ZERO    .L2     B8                ; |417| 

RL108:     ; CALL OCCURS                     ; |417| 
	.line	17
;----------------------------------------------------------------------
; 428 | MCBSP_write(hMcbsp, 0xAAAA);                                           
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_write,A0   ; |428| 
           MVKH    .S1     _MCBSP_write,A0   ; |428| 
           B       .S2X    A0                ; |428| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |428| 
           MVKL    .S2     RL110,B3          ; |428| 
           MVKL    .S2     0xaaaa,B4         ; |428| 
           MVKH    .S2     RL110,B3          ; |428| 
           MVKH    .S2     0xaaaa,B4         ; |428| 
RL110:     ; CALL OCCURS                     ; |428| 
	.line	18
;----------------------------------------------------------------------
; 429 | temp1 = MCBSP_read(hMcbsp);                                            
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_read,B4    ; |429| 
           MVKH    .S2     _MCBSP_read,B4    ; |429| 
           B       .S2     B4                ; |429| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |429| 
           MVKL    .S2     RL112,B3          ; |429| 
           MVKH    .S2     RL112,B3          ; |429| 
           NOP             2
RL112:     ; CALL OCCURS                     ; |429| 
           STW     .D2T1   A4,*+SP(8)        ; |429| 
           NOP             2
	.line	19
;----------------------------------------------------------------------
; 430 | while(!MCBSP_rrdy(hMcbsp));                                            
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_rrdy,A0    ; |430| 
           MVKH    .S1     _MCBSP_rrdy,A0    ; |430| 
           B       .S2X    A0                ; |430| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |430| 
           MVKL    .S2     RL114,B3          ; |430| 
           MVKH    .S2     RL114,B3          ; |430| 
           NOP             2
RL114:     ; CALL OCCURS                     ; |430| 
           MV      .D1     A4,A1             ; |430| 
   [ A1]   B       .S1     L31               ; |430| 
           NOP             5
           ; BRANCH OCCURS                   ; |430| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L30:    
           MVKL    .S2     _MCBSP_rrdy,B4    ; |430| 
           MVKH    .S2     _MCBSP_rrdy,B4    ; |430| 
           B       .S2     B4                ; |430| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |430| 
           MVKL    .S2     RL116,B3          ; |430| 
           MVKH    .S2     RL116,B3          ; |430| 
           NOP             2
RL116:     ; CALL OCCURS                     ; |430| 
           MV      .D1     A4,A1             ; |430| 
   [!A1]   B       .S1     L30               ; |430| 
           NOP             5
           ; BRANCH OCCURS                   ; |430| 
;** --------------------------------------------------------------------------*
L31:    
	.line	20
;----------------------------------------------------------------------
; 431 | temp1 = MCBSP_read(hMcbsp);                                            
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_read,A0    ; |431| 
           MVKH    .S1     _MCBSP_read,A0    ; |431| 
           B       .S2X    A0                ; |431| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |431| 
           MVKL    .S2     RL118,B3          ; |431| 
           MVKH    .S2     RL118,B3          ; |431| 
           NOP             2
RL118:     ; CALL OCCURS                     ; |431| 
           STW     .D2T1   A4,*+SP(8)        ; |431| 
           NOP             2
	.line	22
;----------------------------------------------------------------------
; 433 | MCBSP_write(hMcbsp, 0x5555);                                           
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_write,B5   ; |433| 
           MVKH    .S2     _MCBSP_write,B5   ; |433| 
           B       .S2     B5                ; |433| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |433| 
           MVKL    .S2     RL120,B3          ; |433| 
           MVK     .S2     0x5555,B4         ; |433| 
           MVKH    .S2     RL120,B3          ; |433| 
           NOP             1
RL120:     ; CALL OCCURS                     ; |433| 
	.line	23
;----------------------------------------------------------------------
; 434 | while(!MCBSP_xrdy(hMcbsp));                                            
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_xrdy,A0    ; |434| 
           MVKH    .S1     _MCBSP_xrdy,A0    ; |434| 
           B       .S2X    A0                ; |434| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |434| 
           MVKL    .S2     RL122,B3          ; |434| 
           MVKH    .S2     RL122,B3          ; |434| 
           NOP             2
RL122:     ; CALL OCCURS                     ; |434| 
           MV      .D1     A4,A1             ; |434| 
   [ A1]   B       .S1     L33               ; |434| 
           NOP             5
           ; BRANCH OCCURS                   ; |434| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L32:    
           MVKL    .S2     _MCBSP_xrdy,B4    ; |434| 
           MVKH    .S2     _MCBSP_xrdy,B4    ; |434| 
           B       .S2     B4                ; |434| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |434| 
           MVKL    .S2     RL124,B3          ; |434| 
           MVKH    .S2     RL124,B3          ; |434| 
           NOP             2
RL124:     ; CALL OCCURS                     ; |434| 
           MV      .D1     A4,A1             ; |434| 
   [!A1]   B       .S1     L32               ; |434| 
           NOP             5
           ; BRANCH OCCURS                   ; |434| 
;** --------------------------------------------------------------------------*
L33:    
	.line	24
;----------------------------------------------------------------------
; 435 | while(!MCBSP_rrdy(hMcbsp));                                            
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_rrdy,B4    ; |435| 
           MVKH    .S2     _MCBSP_rrdy,B4    ; |435| 
           B       .S2     B4                ; |435| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |435| 
           MVKL    .S2     RL126,B3          ; |435| 
           MVKH    .S2     RL126,B3          ; |435| 
           NOP             2
RL126:     ; CALL OCCURS                     ; |435| 
           MV      .D1     A4,A1             ; |435| 
   [ A1]   B       .S1     L35               ; |435| 
           NOP             5
           ; BRANCH OCCURS                   ; |435| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L34:    
           MVKL    .S2     _MCBSP_rrdy,B4    ; |435| 
           MVKH    .S2     _MCBSP_rrdy,B4    ; |435| 
           B       .S2     B4                ; |435| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |435| 
           MVKL    .S2     RL128,B3          ; |435| 
           MVKH    .S2     RL128,B3          ; |435| 
           NOP             2
RL128:     ; CALL OCCURS                     ; |435| 
           MV      .D1     A4,A1             ; |435| 
   [!A1]   B       .S1     L34               ; |435| 
           NOP             5
           ; BRANCH OCCURS                   ; |435| 
;** --------------------------------------------------------------------------*
L35:    
	.line	25
;----------------------------------------------------------------------
; 436 | temp = MCBSP_read(hMcbsp);                                             
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_read,A0    ; |436| 
           MVKH    .S1     _MCBSP_read,A0    ; |436| 
           B       .S2X    A0                ; |436| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |436| 
           MVKL    .S2     RL130,B3          ; |436| 
           MVKH    .S2     RL130,B3          ; |436| 
           NOP             2
RL130:     ; CALL OCCURS                     ; |436| 
           STW     .D2T1   A4,*+SP(4)        ; |436| 
           NOP             2
	.line	26
;----------------------------------------------------------------------
; 437 | temp &= 0xffff;                                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B4        ; |437| 
           NOP             4
           EXTU    .S2     B4,16,16,B4       ; |437| 
           STW     .D2T2   B4,*+SP(4)        ; |437| 
           NOP             2
	.line	28
;----------------------------------------------------------------------
; 439 | if (temp != 0x5555)                                                    
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B5        ; |439| 
           MVK     .S2     21845,B4          ; |439| 
           NOP             3
           CMPEQ   .L2     B5,B4,B0          ; |439| 
   [ B0]   B       .S1     L36               ; |439| 
           NOP             5
           ; BRANCH OCCURS                   ; |439| 
;** --------------------------------------------------------------------------*
	.line	30
;----------------------------------------------------------------------
; 441 | temp = 1;                                                              
;----------------------------------------------------------------------
           MVK     .S2     1,B4              ; |441| 
           STW     .D2T2   B4,*+SP(4)        ; |441| 
           NOP             2
	.line	31
;----------------------------------------------------------------------
; 442 | return temp;                                                           
;----------------------------------------------------------------------
           B       .S1     L42               ; |442| 
           NOP             4
           LDW     .D2T1   *+SP(4),A4        ; |442| 
           ; BRANCH OCCURS                   ; |442| 
;** --------------------------------------------------------------------------*
L36:    
	.line	34
;----------------------------------------------------------------------
; 445 | MCBSP_write(hMcbsp, 0xAAAA);                                           
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_write,A0   ; |445| 
           MVKH    .S1     _MCBSP_write,A0   ; |445| 
           B       .S2X    A0                ; |445| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |445| 
           MVKL    .S2     RL132,B3          ; |445| 
           MVKL    .S2     0xaaaa,B4         ; |445| 
           MVKH    .S2     RL132,B3          ; |445| 
           MVKH    .S2     0xaaaa,B4         ; |445| 
RL132:     ; CALL OCCURS                     ; |445| 
	.line	35
;----------------------------------------------------------------------
; 446 | while(!MCBSP_xrdy(hMcbsp));                                            
;----------------------------------------------------------------------
           MVKL    .S1     _MCBSP_xrdy,A0    ; |446| 
           MVKH    .S1     _MCBSP_xrdy,A0    ; |446| 
           B       .S2X    A0                ; |446| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |446| 
           MVKL    .S2     RL134,B3          ; |446| 
           MVKH    .S2     RL134,B3          ; |446| 
           NOP             2
RL134:     ; CALL OCCURS                     ; |446| 
           MV      .D1     A4,A1             ; |446| 
   [ A1]   B       .S1     L38               ; |446| 
           NOP             5
           ; BRANCH OCCURS                   ; |446| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L37:    
           MVKL    .S2     _MCBSP_xrdy,B4    ; |446| 
           MVKH    .S2     _MCBSP_xrdy,B4    ; |446| 
           B       .S2     B4                ; |446| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |446| 
           MVKL    .S2     RL136,B3          ; |446| 
           MVKH    .S2     RL136,B3          ; |446| 
           NOP             2
RL136:     ; CALL OCCURS                     ; |446| 
           MV      .D1     A4,A1             ; |446| 
   [!A1]   B       .S1     L37               ; |446| 
           NOP             5
           ; BRANCH OCCURS                   ; |446| 
;** --------------------------------------------------------------------------*
L38:    
	.line	36
;----------------------------------------------------------------------
; 447 | while(!MCBSP_rrdy(hMcbsp));                                            
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_rrdy,B4    ; |447| 
           MVKH    .S2     _MCBSP_rrdy,B4    ; |447| 
           B       .S2     B4                ; |447| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |447| 
           MVKL    .S2     RL138,B3          ; |447| 
           MVKH    .S2     RL138,B3          ; |447| 
           NOP             2
RL138:     ; CALL OCCURS                     ; |447| 
           MV      .D1     A4,A1             ; |447| 
   [ A1]   B       .S1     L40               ; |447| 
           NOP             5
           ; BRANCH OCCURS                   ; |447| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L39:    
           MVKL    .S2     _MCBSP_rrdy,B4    ; |447| 
           MVKH    .S2     _MCBSP_rrdy,B4    ; |447| 
           B       .S2     B4                ; |447| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |447| 
           MVKL    .S2     RL140,B3          ; |447| 
           MVKH    .S2     RL140,B3          ; |447| 
           NOP             2
RL140:     ; CALL OCCURS                     ; |447| 
           MV      .D1     A4,A1             ; |447| 
   [!A1]   B       .S1     L39               ; |447| 
           NOP             5
           ; BRANCH OCCURS                   ; |447| 
;** --------------------------------------------------------------------------*
L40:    
	.line	37
;----------------------------------------------------------------------
; 448 | temp = MCBSP_read(hMcbsp);                                             
;----------------------------------------------------------------------
           MVKL    .S2     _MCBSP_read,B4    ; |448| 
           MVKH    .S2     _MCBSP_read,B4    ; |448| 
           B       .S2     B4                ; |448| 
           LDW     .D2T1   *+DP(_hMcbsp),A4  ; |448| 
           MVKL    .S2     RL142,B3          ; |448| 
           MVKH    .S2     RL142,B3          ; |448| 
           NOP             2
RL142:     ; CALL OCCURS                     ; |448| 
           STW     .D2T1   A4,*+SP(4)        ; |448| 
           NOP             2
	.line	38
;----------------------------------------------------------------------
; 449 | temp &= 0xffff;                                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B4        ; |449| 
           NOP             4
           EXTU    .S2     B4,16,16,B4       ; |449| 
           STW     .D2T2   B4,*+SP(4)        ; |449| 
           NOP             2
	.line	40
;----------------------------------------------------------------------
; 451 | if (temp != 0xAAAA)                                                    
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B4        ; |451| 
           MVKL    .S1     0xaaaa,A0         ; |451| 
           MVKH    .S1     0xaaaa,A0         ; |451| 
           NOP             2
           CMPEQ   .L1X    B4,A0,A1          ; |451| 
   [ A1]   B       .S1     L41               ; |451| 
           NOP             5
           ; BRANCH OCCURS                   ; |451| 
;** --------------------------------------------------------------------------*
	.line	42
;----------------------------------------------------------------------
; 453 | temp = 1;                                                              
;----------------------------------------------------------------------
           MVK     .S2     1,B4              ; |453| 
           STW     .D2T2   B4,*+SP(4)        ; |453| 
           NOP             2
	.line	43
;----------------------------------------------------------------------
; 454 | return temp;                                                           
;----------------------------------------------------------------------
           B       .S1     L42               ; |454| 
           NOP             4
           LDW     .D2T1   *+SP(4),A4        ; |454| 
           ; BRANCH OCCURS                   ; |454| 
;** --------------------------------------------------------------------------*
L41:    
	.line	45
;----------------------------------------------------------------------
; 456 | return 0;                                                              
;----------------------------------------------------------------------
           ZERO    .D1     A4                ; |456| 
;** --------------------------------------------------------------------------*
L42:    
	.line	46
           LDW     .D2T2   *+SP(20),B3       ; |457| 
           LDW     .D2T1   *+SP(12),A10      ; |457| 
           LDW     .D2T1   *+SP(16),A12      ; |457| 
           LDW     .D2T2   *++SP(24),B10     ; |457| 
           NOP             1
           B       .S2     B3                ; |457| 
           NOP             5
           ; BRANCH OCCURS                   ; |457| 
	.endfunc	457,004081400h,24


	.sect	".text"
	.global	_led_blink
	.sym	_led_blink,_led_blink, 32, 2, 0
	.func	473
;----------------------------------------------------------------------
; 473 | void led_blink(int count, int ms_period)                               
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _led_blink                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 12 Auto + 4 Save = 16 byte                  *
;******************************************************************************
_led_blink:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_count,4, 4, 17, 32
	.sym	_ms_period,20, 4, 17, 32
	.sym	_count,4, 4, 1, 32
	.sym	_ms_period,8, 4, 1, 32
	.sym	_i,12, 4, 1, 32
           STW     .D2T2   B3,*SP--(16)      ; |474| 
           NOP             2
;----------------------------------------------------------------------
; 475 | int i;                                                                 
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(8)        ; |474| 
           STW     .D2T1   A4,*+SP(4)        ; |474| 
           NOP             2
	.line	5
;----------------------------------------------------------------------
; 477 | for (i=0;i<count;i++)                                                  
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |477| 
           STW     .D2T2   B4,*+SP(12)       ; |477| 
           LDW     .D2T2   *+SP(12),B5       ; |477| 
           NOP             4
           CMPLT   .L2X    B5,A4,B0
   [!B0]   B       .S1     L44               ; |477| 
           NOP             5
           ; BRANCH OCCURS                   ; |477| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L43:    
	.line	7
;----------------------------------------------------------------------
; 479 | LED_off(LED_ALL);           /* turn off all three leds    */           
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |479| 
           MVKH    .S1     _LED_off,A0       ; |479| 
           B       .S2X    A0                ; |479| 
           MVKL    .S2     RL144,B3          ; |479| 
           MVKH    .S2     RL144,B3          ; |479| 
           MVK     .S1     0x7,A4            ; |479| 
           NOP             2
RL144:     ; CALL OCCURS                     ; |479| 
	.line	8
;----------------------------------------------------------------------
; 480 | delay_msec((Uint32)ms_period/2);                                       
;----------------------------------------------------------------------

           B       .S1     _delay_msec       ; |480| 
||         LDW     .D2T2   *+SP(8),B4        ; |480| 

           MVKL    .S2     RL146,B3          ; |480| 
           MVKH    .S2     RL146,B3          ; |480| 
           NOP             2
           SHRU    .S1X    B4,1,A4           ; |480| 
RL146:     ; CALL OCCURS                     ; |480| 
	.line	9
;----------------------------------------------------------------------
; 481 | LED_on(LED_ALL);            /* turn on all user leds      */           
;----------------------------------------------------------------------
           MVKL    .S2     _LED_on,B4        ; |481| 
           MVKH    .S2     _LED_on,B4        ; |481| 
           B       .S2     B4                ; |481| 
           MVKL    .S2     RL148,B3          ; |481| 
           MVKH    .S2     RL148,B3          ; |481| 
           MVK     .S1     0x7,A4            ; |481| 
           NOP             2
RL148:     ; CALL OCCURS                     ; |481| 
	.line	10
;----------------------------------------------------------------------
; 482 | delay_msec((Uint32)ms_period/2);                                       
;----------------------------------------------------------------------

           B       .S1     _delay_msec       ; |482| 
||         LDW     .D2T2   *+SP(8),B4        ; |482| 

           MVKL    .S2     RL150,B3          ; |482| 
           MVKH    .S2     RL150,B3          ; |482| 
           NOP             2
           SHRU    .S1X    B4,1,A4           ; |482| 
RL150:     ; CALL OCCURS                     ; |482| 
	.line	11
           LDW     .D2T2   *+SP(12),B4       ; |483| 
           NOP             4

           ADD     .D2     1,B4,B4
||         ADD     .S2     1,B4,B5

           STW     .D2T2   B4,*+SP(12)       ; |483| 
           LDW     .D2T2   *+SP(4),B4        ; |483| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |483| 
   [ B0]   B       .S1     L43               ; |483| 
           NOP             5
           ; BRANCH OCCURS                   ; |483| 
;** --------------------------------------------------------------------------*
L44:    
	.line	12
;----------------------------------------------------------------------
; 484 | LED_off(LED_ALL);             /* turn off all three leds    */         
;----------------------------------------------------------------------
           MVKL    .S1     _LED_off,A0       ; |484| 
           MVKH    .S1     _LED_off,A0       ; |484| 
           B       .S2X    A0                ; |484| 
           MVKL    .S2     RL152,B3          ; |484| 
           MVKH    .S2     RL152,B3          ; |484| 
           MVK     .S1     0x7,A4            ; |484| 
           NOP             2
RL152:     ; CALL OCCURS                     ; |484| 
	.line	13
           LDW     .D2T2   *++SP(16),B3      ; |485| 
           NOP             4
           B       .S2     B3                ; |485| 
           NOP             5
           ; BRANCH OCCURS                   ; |485| 
	.endfunc	485,000080000h,16


	.sect	".text"
	.global	_get_bdrev
	.sym	_get_bdrev,_get_bdrev, 46, 2, 0
	.func	490

;******************************************************************************
;* FUNCTION NAME: _get_bdrev                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
_get_bdrev:
;** --------------------------------------------------------------------------*
	.line	1
;----------------------------------------------------------------------
; 490 | Uint32 get_bdrev(void) {                                               
;----------------------------------------------------------------------
           STW     .D2T2   B3,*SP--(8)       ; |490| 
           NOP             2
	.line	3
;----------------------------------------------------------------------
; 492 | return((BOARD_readReg(BOARD_REG_IOPORT)>>29)&0x7);                     
;----------------------------------------------------------------------
           MVKL    .S2     _BOARD_readReg,B4 ; |492| 
           MVKH    .S2     _BOARD_readReg,B4 ; |492| 
           B       .S2     B4                ; |492| 
           MVKL    .S2     RL154,B3          ; |492| 
           ZERO    .D1     A4                ; |492| 
           MVKH    .S2     RL154,B3          ; |492| 
           MVKH    .S1     0x90080000,A4     ; |492| 
           NOP             1
RL154:     ; CALL OCCURS                     ; |492| 
           SHRU    .S1     A4,29,A4
	.line	4
           LDW     .D2T2   *++SP(8),B3       ; |493| 
           NOP             4
           B       .S2     B3                ; |493| 
           NOP             5
           ; BRANCH OCCURS                   ; |493| 
	.endfunc	493,000080000h,8


	.sect	".text"
	.global	_delay_msec
	.sym	_delay_msec,_delay_msec, 32, 2, 0
	.func	508

;******************************************************************************
;* FUNCTION NAME: _delay_msec                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 12 Auto + 4 Save = 16 byte                  *
;******************************************************************************
_delay_msec:
;** --------------------------------------------------------------------------*
	.line	1
;----------------------------------------------------------------------
; 508 | void delay_msec(Uint32 msec){                                          
;----------------------------------------------------------------------
	.sym	_msec,4, 14, 17, 32
	.sym	_msec,4, 14, 1, 32
	.sym	_timer_limit,8, 14, 1, 32
	.sym	_timer_start,12, 14, 1, 32
           STW     .D2T2   B3,*SP--(16)      ; |508| 
           NOP             2
;----------------------------------------------------------------------
; 510 | Uint32 timer_limit;                                                    
; 511 | Uint32 timer_start;                                                    
;----------------------------------------------------------------------
           STW     .D2T1   A4,*+SP(4)        ; |508| 
           NOP             2
	.line	6
;----------------------------------------------------------------------
; 513 | timer_limit = ((Uint32)msec*9375)<<2;                                  
;----------------------------------------------------------------------
           MVKL    .S1     0x927c,A0         ; |513| 

           MVKH    .S1     0x927c,A0         ; |513| 
||         MV      .S2X    A4,B4

           MPYI    .M2X    A0,B4,B4          ; |513| 
           NOP             8
           STW     .D2T2   B4,*+SP(8)        ; |513| 
           NOP             2
	.line	7
;----------------------------------------------------------------------
; 514 | timer_start = TIMER_getCount(hTimer);                                  
;----------------------------------------------------------------------
           MVKL    .S2     _TIMER_getCount,B4 ; |514| 
           MVKH    .S2     _TIMER_getCount,B4 ; |514| 
           B       .S2     B4                ; |514| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |514| 
           NOP             2
           MVKL    .S2     RL156,B3          ; |514| 
           MVKH    .S2     RL156,B3          ; |514| 
RL156:     ; CALL OCCURS                     ; |514| 
           STW     .D2T1   A4,*+SP(12)       ; |514| 
           NOP             2
	.line	8
;----------------------------------------------------------------------
; 515 | TIMER_resume(hTimer);                                                  
;----------------------------------------------------------------------
           MVKL    .S1     _TIMER_resume,A0  ; |515| 
           MVKH    .S1     _TIMER_resume,A0  ; |515| 
           B       .S2X    A0                ; |515| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |515| 
           NOP             2
           MVKL    .S2     RL158,B3          ; |515| 
           MVKH    .S2     RL158,B3          ; |515| 
RL158:     ; CALL OCCURS                     ; |515| 
	.line	9
;----------------------------------------------------------------------
; 516 | while ( (TIMER_getCount(hTimer) - timer_start) < timer_limit );        
;----------------------------------------------------------------------
           MVKL    .S2     _TIMER_getCount,B4 ; |516| 
           MVKH    .S2     _TIMER_getCount,B4 ; |516| 
           B       .S2     B4                ; |516| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |516| 
           NOP             2
           MVKL    .S2     RL160,B3          ; |516| 
           MVKH    .S2     RL160,B3          ; |516| 
RL160:     ; CALL OCCURS                     ; |516| 
           LDW     .D2T2   *+SP(12),B5       ; |516| 
           LDW     .D2T2   *+SP(8),B4        ; |516| 
           NOP             3
           SUB     .L1X    A4,B5,A0          ; |516| 
           CMPLTU  .L1X    A0,B4,A1          ; |516| 
   [!A1]   B       .S1     L46               ; |516| 
           NOP             5
           ; BRANCH OCCURS                   ; |516| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L45:    
           MVKL    .S2     _TIMER_getCount,B4 ; |516| 
           MVKH    .S2     _TIMER_getCount,B4 ; |516| 
           B       .S2     B4                ; |516| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |516| 
           MVKL    .S2     RL162,B3          ; |516| 
           MVKH    .S2     RL162,B3          ; |516| 
           NOP             2
RL162:     ; CALL OCCURS                     ; |516| 
           LDW     .D2T2   *+SP(12),B4       ; |516| 
           LDW     .D2T2   *+SP(8),B5        ; |516| 
           NOP             3
           SUB     .L1X    A4,B4,A0          ; |516| 
           CMPLTU  .L1X    A0,B5,A1          ; |516| 
   [ A1]   B       .S1     L45               ; |516| 
           NOP             5
           ; BRANCH OCCURS                   ; |516| 
;** --------------------------------------------------------------------------*
L46:    
	.line	10
;----------------------------------------------------------------------
; 517 | TIMER_pause(hTimer);                                                   
;----------------------------------------------------------------------
           MVKL    .S1     _TIMER_pause,A0   ; |517| 
           MVKH    .S1     _TIMER_pause,A0   ; |517| 
           B       .S2X    A0                ; |517| 
           LDW     .D2T1   *+DP(_hTimer),A4  ; |517| 
           MVKL    .S2     RL164,B3          ; |517| 
           MVKH    .S2     RL164,B3          ; |517| 
           NOP             2
RL164:     ; CALL OCCURS                     ; |517| 
	.line	11
           LDW     .D2T2   *++SP(16),B3      ; |518| 
           NOP             4
           B       .S2     B3                ; |518| 
           NOP             5
           ; BRANCH OCCURS                   ; |518| 
	.endfunc	518,000080000h,16


	.sect	".text"
	.global	_play_codec
	.sym	_play_codec,_play_codec, 32, 2, 0
	.func	536
;----------------------------------------------------------------------
; 536 | void play_codec(int number, int tone_playbk)                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: _play_codec                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,SP                                      *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,DP,SP                                   *
;*   Local Frame Size  : 0 Args + 16 Auto + 4 Save = 20 byte                  *
;******************************************************************************
_play_codec:
;** --------------------------------------------------------------------------*
	.line	2
	.sym	_number,4, 4, 17, 32
	.sym	_tone_playbk,20, 4, 17, 32
	.sym	_number,4, 4, 1, 32
	.sym	_tone_playbk,8, 4, 1, 32
	.sym	_i,12, 4, 1, 32
	.sym	_j,16, 4, 1, 32
           STW     .D2T2   B3,*SP--(24)      ; |537| 
           NOP             2
;----------------------------------------------------------------------
; 538 | int i,j;                                                               
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(8)        ; |537| 
           STW     .D2T1   A4,*+SP(4)        ; |537| 
           NOP             2
	.line	5
;----------------------------------------------------------------------
; 540 | AD535_reset(hAD535);                                                   
;----------------------------------------------------------------------
           MVKL    .S1     _AD535_reset,A0   ; |540| 
           MVKH    .S1     _AD535_reset,A0   ; |540| 
           B       .S2X    A0                ; |540| 
           LDW     .D2T1   *+DP(_hAD535),A4  ; |540| 
           MVKL    .S2     RL168,B3          ; |540| 
           MVKH    .S2     RL168,B3          ; |540| 
           NOP             2
RL168:     ; CALL OCCURS                     ; |540| 
	.line	7
;----------------------------------------------------------------------
; 542 | AD535_writeReg(hAD535, AD535_REG_CTRL3, 0x06);  /* set up reg 3 */     
;----------------------------------------------------------------------
           MVKL    .S1     _AD535_writeReg,A0 ; |542| 
           MVKH    .S1     _AD535_writeReg,A0 ; |542| 
           B       .S2X    A0                ; |542| 
           LDW     .D2T1   *+DP(_hAD535),A4  ; |542| 
           MVKL    .S2     RL170,B3          ; |542| 
           MVK     .S2     0x3,B4            ; |542| 
           MVKH    .S2     RL170,B3          ; |542| 
           MVK     .S1     0x6,A6            ; |542| 
RL170:     ; CALL OCCURS                     ; |542| 
	.line	8
;----------------------------------------------------------------------
; 543 | AD535_writeReg(hAD535, AD535_REG_CTRL4, 0x00);  /* set up reg 4 */     
;----------------------------------------------------------------------
           MVKL    .S2     _AD535_writeReg,B5 ; |543| 
           MVKH    .S2     _AD535_writeReg,B5 ; |543| 
           B       .S2     B5                ; |543| 
           LDW     .D2T1   *+DP(_hAD535),A4  ; |543| 
           MVKL    .S2     RL172,B3          ; |543| 
           MVK     .S2     0x4,B4            ; |543| 
           MVKH    .S2     RL172,B3          ; |543| 
           ZERO    .D1     A6                ; |543| 
RL172:     ; CALL OCCURS                     ; |543| 
	.line	9
;----------------------------------------------------------------------
; 544 | AD535_writeReg(hAD535, AD535_REG_CTRL5, 0x02);  /* set up reg 5 */     
;----------------------------------------------------------------------
           MVKL    .S1     _AD535_writeReg,A0 ; |544| 
           MVKH    .S1     _AD535_writeReg,A0 ; |544| 
           B       .S2X    A0                ; |544| 
           LDW     .D2T1   *+DP(_hAD535),A4  ; |544| 
           MVKL    .S2     RL174,B3          ; |544| 
           MVK     .S2     0x5,B4            ; |544| 
           MVKH    .S2     RL174,B3          ; |544| 
           MVK     .S1     0x2,A6            ; |544| 
RL174:     ; CALL OCCURS                     ; |544| 
	.line	11
;----------------------------------------------------------------------
; 546 | if(tone_playbk) {                                                      
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(8),B0        ; |546| 
           NOP             4
   [!B0]   B       .S1     L50               ; |546| 
           NOP             5
           ; BRANCH OCCURS                   ; |546| 
;** --------------------------------------------------------------------------*
	.line	12
;----------------------------------------------------------------------
; 547 | for (i=0;i<number;i++){                                                
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |547| 
           STW     .D2T2   B4,*+SP(12)       ; |547| 
           LDW     .D2T2   *+SP(4),B4        ; |547| 
           LDW     .D2T2   *+SP(12),B5       ; |547| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |547| 
   [!B0]   B       .S1     L52               ; |547| 
           NOP             5
           ; BRANCH OCCURS                   ; |547| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP L47
;** --------------------------------------------------------------------------*
L47:    
	.line	13
;----------------------------------------------------------------------
; 548 | for (j=0;j<8;j++)                                                      
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |548| 
           CMPLT   .L2     B4,8,B0           ; |548| 
   [!B0]   B       .S1     L49               ; |548| 
           NOP             4
           STW     .D2T2   B4,*+SP(16)       ; |548| 
           ; BRANCH OCCURS                   ; |548| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L48:    
	.line	14
;----------------------------------------------------------------------
; 549 | AD535_write(hAD535, (int)sin_table[j]);                                
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(16),B5       ; |549| 
           MVKL    .S2     _sin_table,B4     ; |549| 
           MVKL    .S1     _AD535_write,A0   ; |549| 

           MVKH    .S2     _sin_table,B4     ; |549| 
||         MVKH    .S1     _AD535_write,A0   ; |549| 

           B       .S2X    A0                ; |549| 
||         LDW     .D2T1   *+DP(_hAD535),A4  ; |549| 

           LDH     .D2T2   *+B4[B5],B4       ; |549| 
           MVKL    .S2     RL176,B3          ; |549| 
           MVKH    .S2     RL176,B3          ; |549| 
           NOP             2
RL176:     ; CALL OCCURS                     ; |549| 
           LDW     .D2T2   *+SP(16),B4       ; |549| 
           NOP             4
           ADD     .D2     1,B4,B4           ; |549| 
           CMPLT   .L2     B4,8,B0           ; |549| 
   [ B0]   B       .S1     L48               ; |549| 
           NOP             4
           STW     .D2T2   B4,*+SP(16)       ; |549| 
           ; BRANCH OCCURS                   ; |549| 
;** --------------------------------------------------------------------------*
L49:    
	.line	15
           LDW     .D2T2   *+SP(12),B4       ; |550| 
           LDW     .D2T2   *+SP(4),B5        ; |550| 
           NOP             3
           ADD     .D2     1,B4,B4           ; |550| 
           CMPLT   .L2     B4,B5,B0          ; |550| 
   [ B0]   B       .S1     L47               ; |550| 
           STW     .D2T2   B4,*+SP(12)       ; |550| 
           NOP             4
           ; BRANCH OCCURS                   ; |550| 
;** --------------------------------------------------------------------------*
	.line	16
;----------------------------------------------------------------------
; 552 | else {                                                                 
;----------------------------------------------------------------------
           B       .S1     L52               ; |551| 
           NOP             5
           ; BRANCH OCCURS                   ; |551| 
;** --------------------------------------------------------------------------*
L50:    
	.line	18
;----------------------------------------------------------------------
; 553 | for (i=0;i<number;i++)                                                 
;----------------------------------------------------------------------
           ZERO    .D2     B4                ; |553| 
           STW     .D2T2   B4,*+SP(12)       ; |553| 
           LDW     .D2T2   *+SP(4),B4        ; |553| 
           LDW     .D2T2   *+SP(12),B5       ; |553| 
           NOP             4
           CMPLT   .L2     B5,B4,B0          ; |553| 
   [!B0]   B       .S1     L52               ; |553| 
           NOP             5
           ; BRANCH OCCURS                   ; |553| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: software pipelining disabled
;*----------------------------------------------------------------------------*
L51:    
	.line	19
;----------------------------------------------------------------------
; 554 | AD535_write(hAD535, AD535_read(hAD535) );                              
;----------------------------------------------------------------------
           MVKL    .S2     _AD535_read,B4    ; |554| 
           MVKH    .S2     _AD535_read,B4    ; |554| 
           B       .S2     B4                ; |554| 
           LDW     .D2T1   *+DP(_hAD535),A4  ; |554| 
           MVKL    .S2     RL180,B3          ; |554| 
           MVKH    .S2     RL180,B3          ; |554| 
           NOP             2
RL180:     ; CALL OCCURS                     ; |554| 
           MVKL    .S1     _AD535_write,A0   ; |554| 
           MVKH    .S1     _AD535_write,A0   ; |554| 
           B       .S2X    A0                ; |554| 

           LDW     .D2T1   *+DP(_hAD535),A4  ; |554| 
||         MV      .S2X    A4,B4

           MVKL    .S2     RL182,B3          ; |554| 
           MVKH    .S2     RL182,B3          ; |554| 
           NOP             2
RL182:     ; CALL OCCURS                     ; |554| 
           LDW     .D2T2   *+SP(12),B4       ; |554| 
           LDW     .D2T2   *+SP(4),B5        ; |554| 
           NOP             3
           ADD     .D2     1,B4,B4           ; |554| 
           CMPLT   .L2     B4,B5,B0          ; |554| 
   [ B0]   B       .S1     L51               ; |554| 
           STW     .D2T2   B4,*+SP(12)       ; |554| 
           NOP             4
           ; BRANCH OCCURS                   ; |554| 
;** --------------------------------------------------------------------------*
	.line	20
;** --------------------------------------------------------------------------*
L52:    
	.line	21
           LDW     .D2T2   *++SP(24),B3      ; |556| 
           NOP             4
           B       .S2     B3                ; |556| 
           NOP             5
           ; BRANCH OCCURS                   ; |556| 
	.endfunc	556,000080000h,24


;******************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                              *
;******************************************************************************
	.global	_TIMER_open
	.global	_TIMER_start
	.global	_TIMER_pause
	.global	_TIMER_resume
	.global	_TIMER_getCount
	.global	_TIMER_config
	.global	__CSL_init
	.global	_CSL6711_LIB_
	.global	_EMIF_configArgs
	.global	_MCBSP_open
	.global	_MCBSP_close
	.global	_MCBSP_read
	.global	_MCBSP_write
	.global	_MCBSP_xrdy
	.global	_MCBSP_rrdy
	.global	_MCBSP_configArgs
	.global	_BOARD_readReg
	.global	_DIP_get
	.global	_LED_off
	.global	_LED_on
	.global	_AD535_config
	.global	_AD535_open
	.global	_AD535_reset
	.global	_AD535_writeReg
	.global	_AD535_read
	.global	_AD535_write
	.global	_BSL_init
	.global	_exit
	.global	_AD535_localId

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
	.sym	_Uint32, 0, 14, 13, 32
	.sym	_Uint32, 0, 14, 13, 32
	.stag	$$fake9, 32
	.member	_mcbsp_no, 0, 4, 8, 32
	.eos
	.stag	$$fake6, 192
	.member	_allocated, 0, 14, 8, 32
	.member	_xmtEventId, 32, 14, 8, 32
	.member	_rcvEventId, 64, 14, 8, 32
	.member	_baseAddr, 96, 30, 8, 32
	.member	_drrAddr, 128, 14, 8, 32
	.member	_dxrAddr, 160, 14, 8, 32
	.eos
	.sym	_MCBSP_Handle, 0, 24, 13, 32,$$fake6
	.stag	$$fake10, 64
	.member	_allocated, 0, 14, 8, 32
	.member	_hMcbsp, 32, 24, 8, 32, $$fake6
	.eos
	.stag	$$fake8, 96
	.member	_Id, 0, 8, 8, 32, $$fake9
	.member	_Obj, 32, 8, 8, 64, $$fake10
	.eos
	.sym	_AD535_Handle, 0, 24, 13, 32,$$fake8
	.sym	_AD535_Id, 0, 8, 13, 96,$$fake8
	.stag	$$fake0, 96
	.member	_allocated, 0, 14, 8, 32
	.member	_eventId, 32, 14, 8, 32
	.member	_baseAddr, 64, 30, 8, 32
	.eos
	.sym	_TIMER_Handle, 0, 24, 13, 32,$$fake0
	.etag	$$fake7, 32
	.member	_BOARD_REG_IOPORT, -1878523904, 4, 16, 32
	.eos
	.sym	_BOARD_Reg, 0, 10, 13, 32,$$fake7
	.stag	$$fake1, 96
	.member	_ctl, 0, 14, 8, 32
	.member	_prd, 32, 14, 8, 32
	.member	_cnt, 64, 14, 8, 32
	.eos
	.sym	_TIMER_Config, 0, 8, 13, 96,$$fake1
	.stag	$$fake4, 128
	.member	_funcAddr, 0, 16, 8, 32
	.member	_funcArg, 32, 14, 8, 32
	.member	_ccMask, 64, 14, 8, 32
	.member	_ieMask, 96, 14, 8, 32
	.eos
	.sym	__IRQ_Dispatch, 0, 8, 13, 128,$$fake4
	.stag	$$fake3, 128
	.member	_biosPresent, 0, 14, 8, 32
	.member	_dispatchTable, 32, 24, 8, 32, $$fake4
	.member	_timerUsed, 64, 14, 8, 32
	.member	_timerNum, 96, 14, 8, 32
	.eos
	.stag	$$fake5, 96
	.member	_hTimer, 0, 24, 8, 32, $$fake0
	.member	_event2IntTbl, 32, 30, 8, 32
	.member	_int2EventTbl, 64, 30, 8, 32
	.eos
	.utag	$$fake2, 128
	.member	_args, 0, 8, 11, 128, $$fake3
	.member	_ret, 0, 8, 11, 96, $$fake5
	.eos
	.sym	__CSL_Config, 0, 9, 13, 128,$$fake2
	.etag	$$fake12, 32
	.member	_AD535_LOOPBACK_DISABLE, 0, 4, 16, 32
	.member	_AD535_LOOPBACK_ANALOG, 16, 4, 16, 32
	.member	_AD535_LOOPBACK_DIGITAL, 32, 4, 16, 32
	.eos
	.sym	_AD535_Loopback, 0, 10, 13, 32,$$fake12
	.etag	$$fake13, 32
	.member	_AD535_MICGAIN_OFF, 0, 4, 16, 32
	.member	_AD535_MICGAIN_ON, 64, 4, 16, 32
	.eos
	.sym	_AD535_MicGain, 0, 10, 13, 32,$$fake13
	.stag	$$fake11, 128
	.member	_lb_mode, 0, 10, 8, 32, $$fake12
	.member	_mic_gain, 32, 10, 8, 32, $$fake13
	.member	_in_gain, 64, 6, 8, 32
	.member	_out_gain, 96, 6, 8, 32
	.eos
	.sym	_AD535_Config, 0, 8, 13, 128,$$fake11
	.etag	$$fake14, 32
	.member	_AD535_REG_CTRL0, 0, 4, 16, 32
	.member	_AD535_REG_CTRL1, 1, 4, 16, 32
	.member	_AD535_REG_CTRL2, 2, 4, 16, 32
	.member	_AD535_REG_CTRL3, 3, 4, 16, 32
	.member	_AD535_REG_CTRL4, 4, 4, 16, 32
	.member	_AD535_REG_CTRL5, 5, 4, 16, 32
	.eos
	.sym	_AD535_Reg, 0, 10, 13, 32,$$fake14
