/******************************************************************************\
*           Copyright (C) 2000 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* FILENAME...... bsl_board.c
* DATE CREATED.. Thu 06/15/2001 
* LAST MODIFIED. Thu 06/15/2001 
*
\******************************************************************************/
#define _BOARD_MOD_

/****************************************\
* include files
\****************************************/

#include "bsl_board.h"
#include <csl_emif.h>

/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* BOARD static macro declarations
\****************************************/

/****************************************\
* BOARD static typedef declarations
\****************************************/

/****************************************\
* BOARD static function declarations
\****************************************/

/****************************************\
* BOARD static variable definitions
\****************************************/

/****************************************\
* BOARD static function definitions
\****************************************/
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* BOARD global variable definitions
\****************************************/
#if (BOARD_6201EVM)
  Uint32 _BOARD_cpldBaseAddr;
#endif

/****************************************\
* BOARD global function definitions
\****************************************/
/*----------------------------------------------------------------------------*/

void _BOARD_init(){
  static int initialized = 0;
  int mapMode;
  UNREFERENCED_PARAMETER(mapMode);
  if (!initialized) {
 
   mapMode = EMIF_RGET(GBLCTL) & 0x00000001;

  #if (BOARD_6201EVM)
    if (mapMode)
      /* MAP MODE 1 */
      _BOARD_cpldBaseAddr = 0x01780000;
    else
      /* MAP MODE 0 */
      _BOARD_cpldBaseAddr = 0x01380000;
  #endif

    initialized = 1;
  }
}
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/

/******************************************************************************\
* End of bsl_board.c
\******************************************************************************/

